#
# spec file for package R-base
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define release 1

Name:           R-base
Version:        3.3.1
Release:        5.8
%define Rversion %{version}
Source:         R-%{version}.tar.bz2
#Source: http://cran.r-project.org/src/base/R-2/R-%%{version}.tar.gz
# PATCH-FIX-UPSTREAM Fix tre when wchar_t is unsigned int
#Patch0:         tre.patch

Url:            http://www.r-project.org/

Summary:        R - statistics package (S-Plus like)
License:        GPL-2.0 or GPL-3.0
Group:          Productivity/Scientific/Math
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  bzip2
BuildRequires:  cairo-devel
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  libbz2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  perl
BuildRequires:  readline-devel
%if %suse_version < 1230
# nowadays means == 1220
BuildRequires:  texlive-bin
BuildRequires:  texlive-bin-latex
BuildRequires:  texlive-fonts-extra
%else
# else for < 1230, therefore >=1230
BuildRequires:  texlive-bibtex
BuildRequires:  texlive-cm-super
BuildRequires:  texlive-dvips
BuildRequires:  texlive-helvetic
BuildRequires:  texlive-makeindex
BuildRequires:  texlive-metafont
BuildRequires:  texlive-psnfss
BuildRequires:  texlive-tex
BuildRequires:  texlive-times
BuildRequires:  xdg-utils
BuildRequires:  xz-devel
# No tex(inconsolata.sty) provided in SLE-12, same for 42.1
 %if %suse_version != 1315
BuildRequires:  tex(inconsolata.sty)
 %endif # !=1315
%endif # > 1230
BuildRequires:  pango-devel
BuildRequires:  tcl-devel
BuildRequires:  texlive-latex
%if 0%{?suse_version} != 1315
BuildRequires:  texinfo >= 5.1
%endif # !=1315
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-devel
Requires:       R-base-devel = %{version}
Requires:       R-core = %{version}
Requires:       R-core-devel = %{version}
Requires:       R-core-doc = %{version}
Requires:       R-core-libs = %{version}
Requires:       R-core-packages = %{version}
Requires:       R-recommended-packages = %{version}
Requires:       fontconfig
Requires:       glibc-locale
#Requires:       libcairo2
#Requires:       libfreetype6
#Requires:       liblzma5
#Requires:       libreadline6
Requires:       make
Requires:       xdg-utils
Requires:       xorg-x11-fonts-100dpi
Requires:       xorg-x11-fonts-75dpi

Provides:       R = %{version}

%description
R is a language which is not entirely unlike the S language developed at
AT&T Bell Laboratories by Rick Becker, John Chambers and Allan Wilks.


%prep 

%setup -n R-%{version}
#%patch0 -p1

%build 
export R_BROWSER="xdg-open"
export R_PDFVIEWER="xdg-open"
%configure --enable-R-shlib LIBnn=%{_lib}

make %{?_smp_mflags}
#make
make pdf
%if 0%{?suse_version} != 1315
make info
# Convert to UTF-8
for i in doc/manual/R-intro.info doc/manual/R-FAQ.info doc/FAQ doc/manual/R-admin.info doc/manual/R-exts.info-1; do
  iconv -f iso-8859-1 -t utf-8 -o $i{.utf8,}
  mv $i{.utf8,}
done
%endif

%install 
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install-pdf

# Installation of Info-files
%{__install} -m 755 -d %{_infodir}
%if 0%{?suse_version} != 1315
make DESTDIR=%{buildroot} INFODIR=%{buildroot}%{_infodir} install-info
%{__rm} -f %{buildroot}%{_infodir}/dir
%{__rm} -f %{buildroot}%{_infodir}/dir.old
%endif

chmod +x %{buildroot}%{_libdir}/R/share/sh/echo.sh

chmod -x %{buildroot}%{_libdir}/R/library/mgcv/CITATION

#%if %suse_version > 1020    
%fdupes -s $RPM_BUILD_ROOT  
#%endif

# Install ld.so.conf.d file to ensure other applications access the shared lib
mkdir -p %{buildroot}/etc/ld.so.conf.d
cat << EOF >%{buildroot}/etc/ld.so.conf.d/R.conf
%{_libdir}/R/lib
EOF

%files -n R-base

%package -n R-base-devel
Summary:        Metapackage, requires R-core-devel, R-core-libs, R-Matrix-devel
Group:          Development/Libraries/Other
Version:        %{Rversion}
Release:        5.8
Requires:       R-Matrix-devel
Requires:       R-core-devel
Requires:       R-core-libs

%description -n R-base-devel
Metapackage to keep the same user experience as before the split of
the monolithic R-base-devel

%files -n R-base-devel

# R-core
%package -n R-core
Summary:        Libraries and includefiles for developing with R-base
Group:          Development/Libraries/Other
Version:        %{Rversion}
Release:        5.8

%description -n R-core
This package provides the core of R, i.e. all that is in base.

%files -n R-core
%defattr(-, root, root)

# base
%dir %{_libdir}/R/library/base/
%{_libdir}/R/library/base/CITATION
%{_libdir}/R/library/base/demo/
%{_libdir}/R/library/base/DESCRIPTION
%{_libdir}/R/library/base/help/
%{_libdir}/R/library/base/html/
%{_libdir}/R/library/base/INDEX
%{_libdir}/R/library/base/Meta/
%{_libdir}/R/library/base/R/

# translations
%doc %{_libdir}/R/library/translations/DESCRIPTION
%dir %{_libdir}/R/library/translations/
%dir %{_libdir}/R/library/translations/da/
%dir %{_libdir}/R/library/translations/da/LC_MESSAGES/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-base.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/de
%dir %{_libdir}/R/library/translations/de/LC_MESSAGES
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-base.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/en
%dir %{_libdir}/R/library/translations/en/LC_MESSAGES
%lang(en) %{_libdir}/R/library/translations/en/LC_MESSAGES/R.mo
%dir %{_libdir}/R/library/translations/en@quot
%dir %{_libdir}/R/library/translations/en@quot/LC_MESSAGES
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-base.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R.mo

%dir %{_libdir}/R/library/translations/en_GB
%dir %{_libdir}/R/library/translations/en_GB/LC_MESSAGES
%lang(en_GB) %{_libdir}/R/library/translations/en_GB/LC_MESSAGES/R.mo

%dir %{_libdir}/R/library/translations/es
%dir %{_libdir}/R/library/translations/es/LC_MESSAGES
%lang(es) %{_libdir}/R/library/translations/es/LC_MESSAGES/R.mo
%lang(es) %{_libdir}/R/library/translations/es/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/fa
%dir %{_libdir}/R/library/translations/fa/LC_MESSAGES
%lang(fa) %{_libdir}/R/library/translations/fa/LC_MESSAGES/R-base.mo
%lang(fa) %{_libdir}/R/library/translations/fa/LC_MESSAGES/R.mo
%lang(fa) %{_libdir}/R/library/translations/fa/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/fr
%dir %{_libdir}/R/library/translations/fr/LC_MESSAGES
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-base.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/it
%dir %{_libdir}/R/library/translations/it/LC_MESSAGES
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-base.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/ja
%dir %{_libdir}/R/library/translations/ja/LC_MESSAGES
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-base.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/ko
%dir %{_libdir}/R/library/translations/ko/LC_MESSAGES
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-base.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/nn
%dir %{_libdir}/R/library/translations/nn/LC_MESSAGES
%lang(nn) %{_libdir}/R/library/translations/nn/LC_MESSAGES/R-base.mo
%lang(nn) %{_libdir}/R/library/translations/nn/LC_MESSAGES/R.mo
%lang(nn) %{_libdir}/R/library/translations/nn/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/pl
%dir %{_libdir}/R/library/translations/pl/LC_MESSAGES
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-base.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/pt_BR
%dir %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-base.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/ru
%dir %{_libdir}/R/library/translations/ru/LC_MESSAGES
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-base.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/tr
%dir %{_libdir}/R/library/translations/tr/LC_MESSAGES
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R-base.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/zh_CN
%dir %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-base.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/RGui.mo

%dir %{_libdir}/R/library/translations/zh_TW
%dir %{_libdir}/R/library/translations/zh_TW/LC_MESSAGES
%lang(zh_TW) %{_libdir}/R/library/translations/zh_TW/LC_MESSAGES/R.mo
%lang(zh_TW) %{_libdir}/R/library/translations/zh_TW/LC_MESSAGES/RGui.mo

# R-core main part
%dir %{_libdir}/R
%{_bindir}/*
%{_libdir}/R/bin/
%{_libdir}/R/etc/
#%{_libdir}/R/lib/
%{_libdir}/R/modules/
%dir %{_libdir}/R/share
%dir %{_libdir}/R/library
%{_libdir}/R/share/encodings/
%{_libdir}/R/share/java/

%dir %{_libdir}/R/share/dictionaries/
%{_libdir}/R/share/dictionaries/en_stats.rds
%{_libdir}/R/share/licenses/
%{_libdir}/R/share/make/
%{_libdir}/R/share/R/
%dir %{_libdir}/R/share/Rd/
%dir %{_libdir}/R/share/Rd/macros/
%{_libdir}/R/share/Rd/macros/system.Rd
%{_libdir}/R/share/sh/
%{_libdir}/R/share/texmf/

# ld.so.conf
#%%config /etc/ld.so.conf.d/R.conf

# R-core-devel
%package -n R-core-devel
Summary:        Libraries and includefiles for developing with R-base
Group:          Development/Libraries/Other
Provides:       R-devel = %{version}
Requires:       R-base

%description -n R-core-devel
This package provides the necessary development headers and
libraries to allow you to devel with R-base.

%files -n R-core-devel
%defattr(-, root, root)
%dir %{_libdir}/R/include/
%{_libdir}/R/include/R.h
%{_libdir}/R/include/Rconfig.h
%{_libdir}/R/include/Rdefines.h
%{_libdir}/R/include/Rembedded.h
%{_libdir}/R/include/Rinterface.h
%{_libdir}/R/include/Rinternals.h
%{_libdir}/R/include/Rmath.h
%{_libdir}/R/include/Rversion.h
%{_libdir}/R/include/S.h
%dir %{_libdir}/R/include/R_ext
%{_libdir}/R/include/R_ext/Applic.h
%{_libdir}/R/include/R_ext/Arith.h
%{_libdir}/R/include/R_ext/BLAS.h
%{_libdir}/R/include/R_ext/Boolean.h
%{_libdir}/R/include/R_ext/Callbacks.h
%{_libdir}/R/include/R_ext/Complex.h
%{_libdir}/R/include/R_ext/Connections.h
%{_libdir}/R/include/R_ext/Constants.h
%{_libdir}/R/include/R_ext/Error.h
%{_libdir}/R/include/R_ext/GetX11Image.h
%{_libdir}/R/include/R_ext/GraphicsDevice.h
%{_libdir}/R/include/R_ext/GraphicsEngine.h
%{_libdir}/R/include/R_ext/Itermacros.h
%{_libdir}/R/include/R_ext/Lapack.h
%{_libdir}/R/include/R_ext/Linpack.h
%{_libdir}/R/include/R_ext/MathThreads.h
%{_libdir}/R/include/R_ext/Memory.h
%{_libdir}/R/include/R_ext/Parse.h
%{_libdir}/R/include/R_ext/Print.h
%{_libdir}/R/include/R_ext/PrtUtil.h
%{_libdir}/R/include/R_ext/QuartzDevice.h
%{_libdir}/R/include/R_ext/R-ftp-http.h
%{_libdir}/R/include/R_ext/Rallocators.h
%{_libdir}/R/include/R_ext/RS.h
%{_libdir}/R/include/R_ext/RStartup.h
%{_libdir}/R/include/R_ext/Random.h
%{_libdir}/R/include/R_ext/Rdynload.h
%{_libdir}/R/include/R_ext/Riconv.h
%{_libdir}/R/include/R_ext/Utils.h
%{_libdir}/R/include/R_ext/Visibility.h
%{_libdir}/R/include/R_ext/eventloop.h
%{_libdir}/R/include/R_ext/libextern.h
%{_libdir}/R/include/R_ext/stats_package.h
%{_libdir}/R/include/R_ext/stats_stubs.h

%{_libdir}/pkgconfig/libR.pc

#R-core-libs
%package -n     R-core-libs
Summary:        R language libraries
Group:          System/Libraries

%description -n R-core-libs
This package contains the files from R/lib to make their usage
possible without installing a complete R. (I.e. VTK uses this)

%files -n R-core-libs
%defattr(-, root, root)
%dir %{_libdir}/R
%{_libdir}/R/lib/
#ld.so.conf
%config /etc/ld.so.conf.d/R.conf

%post -n R-core-libs -p /sbin/ldconfig

%postun -n R-core-libs -p /sbin/ldconfig

# R-core-doc
%package -n R-core-doc
Summary:        Package provides all documentation of R base. PDFs, man pages, info pages
Group:          Documentation/Other

%description -n R-core-doc
This packages provides all documentation of R base. PDFs, man pages, info pages

%post -n R-core-doc
%if 0%{?suse_version} != 1315
%install_info --info-dir=%{_infodir} %{_infodir}/R-exts.info-1.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-FAQ.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-lang.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-admin.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-exts.info-2.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-intro.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-data.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-exts.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/R-ints.info.gz
%endif

%postun -n R-core-doc
%if 0%{?suse_version} != 1315
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-exts.info-1.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-FAQ.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-lang.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-admin.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-exts.info-2.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-intro.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-data.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-exts.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/R-ints.info.gz
%endif

%files -n R-core-doc
%defattr(-, root, root)
%doc README
%{_mandir}/man1/R.1*
%{_mandir}/man1/Rscript.1*
%doc %{_libdir}/R/COPYING
%doc %{_libdir}/R/SVN-REVISION
%if 0%{?suse_version} != 1315
%{_infodir}/*.gz
%endif
%doc %{_libdir}/R/doc/

# R-core-packages

%package -n R-core-packages
Summary:        Metapackage, requires all core Packages
Group:          Development/Libraries/Other
Version:        %{Rversion}
Release:        5.8
Requires:       R-compiler
Requires:       R-datasets
Requires:       R-grDevices
Requires:       R-graphics
Requires:       R-grid
Requires:       R-methods
Requires:       R-parallel
Requires:       R-splines
Requires:       R-stats
Requires:       R-stats4
Requires:       R-tcltk
Requires:       R-tools
Requires:       R-utils

%description -n R-core-packages
Metapackage, Requires: all core Packages

%files -n R-core-packages

# compiler

%package -n R-compiler
Summary:        Package providing R-core packages R-compiler
Group:          Development/Libraries/Other
#Provides:       R-compiler = %{version}
Requires:       R-base = %{version}

%description -n R-compiler
This package provides R-compiler, one of the R-core packages.

%files -n R-compiler
%defattr(-, root, root)
%dir %{_libdir}/R/library/compiler/
%{_libdir}/R/library/compiler/DESCRIPTION
%{_libdir}/R/library/compiler/help/
%{_libdir}/R/library/compiler/html/
%{_libdir}/R/library/compiler/INDEX
%{_libdir}/R/library/compiler/Meta/
%{_libdir}/R/library/compiler/NAMESPACE
%{_libdir}/R/library/compiler/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-compiler.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-compiler.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-compiler.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-compiler.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-compiler.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-compiler.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-compiler.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-compiler.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-compiler.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-compiler.mo

# datasets

%package -n R-datasets
Summary:        Package providing R-core datasets in R-datasets
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-datasets
This package provides R-datasets, one of R-core packages.

%files -n R-datasets
%defattr(-, root, root)
%dir %{_libdir}/R/library/datasets/
%{_libdir}/R/library/datasets/data/
%{_libdir}/R/library/datasets/DESCRIPTION
%{_libdir}/R/library/datasets/help/
%{_libdir}/R/library/datasets/html/
%{_libdir}/R/library/datasets/INDEX
%{_libdir}/R/library/datasets/Meta/
%{_libdir}/R/library/datasets/NAMESPACE

# grDevices

%package -n R-grDevices
Summary:        Package providing R-core graphics devices in R-grDevices
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-grDevices
This package provides R-grDevices, one of R-core packages.

%files -n R-grDevices
%defattr(-, root, root)

%dir %{_libdir}/R/library/grDevices
%{_libdir}/R/library/grDevices/afm/
%{_libdir}/R/library/grDevices/DESCRIPTION
%dir %{_libdir}/R/library/grDevices/demo/
%{_libdir}/R/library/grDevices/demo/colors.R
%{_libdir}/R/library/grDevices/demo/hclColors.R
%{_libdir}/R/library/grDevices/enc/
%{_libdir}/R/library/grDevices/help/
%{_libdir}/R/library/grDevices/html/
%{_libdir}/R/library/grDevices/icc/
%{_libdir}/R/library/grDevices/INDEX
%{_libdir}/R/library/grDevices/libs/
%{_libdir}/R/library/grDevices/Meta/
%{_libdir}/R/library/grDevices/NAMESPACE
%{_libdir}/R/library/grDevices/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-grDevices.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/grDevices.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-grDevices.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/grDevices.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-grDevices.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/grDevices.mo
%lang(en_GB) %{_libdir}/R/library/translations/en_GB/LC_MESSAGES/R-grDevices.mo
%lang(en_GB) %{_libdir}/R/library/translations/en_GB/LC_MESSAGES/grDevices.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-grDevices.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/grDevices.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-grDevices.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/grDevices.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-grDevices.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/grDevices.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-grDevices.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/grDevices.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-grDevices.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/grDevices.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-grDevices.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/grDevices.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-grDevices.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/grDevices.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-grDevices.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/grDevices.mo

# graphics

%package -n R-graphics
Summary:        Package providing R-core graphics in R-graphics
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-graphics
This package provides R-graphics, one of R-core packages.

%files -n R-graphics
%defattr(-, root, root)

%dir %{_libdir}/R/library/graphics/
%{_libdir}/R/library/graphics/demo/
%{_libdir}/R/library/graphics/DESCRIPTION
%{_libdir}/R/library/graphics/help/
%{_libdir}/R/library/graphics/html/
%{_libdir}/R/library/graphics/INDEX
%{_libdir}/R/library/graphics/libs/
%{_libdir}/R/library/graphics/Meta/
%{_libdir}/R/library/graphics/NAMESPACE
%{_libdir}/R/library/graphics/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-graphics.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/graphics.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-graphics.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/graphics.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-graphics.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/graphics.mo
%lang(es) %{_libdir}/R/library/translations/es/LC_MESSAGES/graphics.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-graphics.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/graphics.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-graphics.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/graphics.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-graphics.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/graphics.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-graphics.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/graphics.mo
%lang(nn) %{_libdir}/R/library/translations/nn/LC_MESSAGES/graphics.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-graphics.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/graphics.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-graphics.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/graphics.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-graphics.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/graphics.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/graphics.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-graphics.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/graphics.mo
%lang(zh_TW) %{_libdir}/R/library/translations/zh_TW/LC_MESSAGES/graphics.mo

# grid

%package -n R-grid
Summary:        Package providing R-grid graphics in R-grid
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-grid
This package provides R-grid, one of R-core packages.

%files -n R-grid
%defattr(-, root, root)

%dir %{_libdir}/R/library/grid/
%{_libdir}/R/library/grid/DESCRIPTION
%{_libdir}/R/library/grid/doc/
%{_libdir}/R/library/grid/help/
%{_libdir}/R/library/grid/html/
%{_libdir}/R/library/grid/INDEX
%{_libdir}/R/library/grid/libs/
%{_libdir}/R/library/grid/Meta/
%{_libdir}/R/library/grid/NAMESPACE
%{_libdir}/R/library/grid/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-grid.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/grid.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-grid.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/grid.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-grid.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/grid.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-grid.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/grid.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/grid.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-grid.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/grid.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-grid.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/grid.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-grid.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/grid.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-grid.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/grid.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-grid.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/grid.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-grid.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/grid.mo

# methods

%package -n R-methods
Summary:        Package providing R-methods
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-methods
This package provides R-methods, one of R-core packages.

%files -n R-methods
%defattr(-, root, root)

%dir %{_libdir}/R/library/methods/
%{_libdir}/R/library/methods/DESCRIPTION
%{_libdir}/R/library/methods/help/
%{_libdir}/R/library/methods/html/
%{_libdir}/R/library/methods/INDEX
%{_libdir}/R/library/methods/libs/
%{_libdir}/R/library/methods/Meta/
%{_libdir}/R/library/methods/NAMESPACE
%{_libdir}/R/library/methods/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-methods.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/methods.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-methods.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/methods.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-methods.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/methods.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-methods.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/methods.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-methods.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/methods.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-methods.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/methods.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-methods.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/methods.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-methods.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/methods.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-methods.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/methods.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-methods.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/methods.mo

# parallel

%package -n R-parallel
Summary:        Package providing R-parallel
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-parallel
This package provides R-parallel, one of R-core packages.

%files -n R-parallel
%defattr(-, root, root)

%dir %{_libdir}/R/library/parallel/
%{_libdir}/R/library/parallel/DESCRIPTION
%{_libdir}/R/library/parallel/INDEX
%dir %{_libdir}/R/library/parallel/doc
%{_libdir}/R/library/parallel/doc/index.html
%{_libdir}/R/library/parallel/doc/parallel.pdf
%{_libdir}/R/library/parallel/doc/parallel.R
%{_libdir}/R/library/parallel/doc/parallel.Rnw
%dir %{_libdir}/R/library/parallel/Meta
%{_libdir}/R/library/parallel/Meta/Rd.rds
%{_libdir}/R/library/parallel/Meta/hsearch.rds
%{_libdir}/R/library/parallel/Meta/links.rds
%{_libdir}/R/library/parallel/Meta/nsInfo.rds
%{_libdir}/R/library/parallel/Meta/package.rds
%{_libdir}/R/library/parallel/Meta/vignette.rds
%{_libdir}/R/library/parallel/NAMESPACE
%dir %{_libdir}/R/library/parallel/R
%{_libdir}/R/library/parallel/R/parallel
%{_libdir}/R/library/parallel/R/parallel.rdb
%{_libdir}/R/library/parallel/R/parallel.rdx
%dir %{_libdir}/R/library/parallel/help
%{_libdir}/R/library/parallel/help/AnIndex
%{_libdir}/R/library/parallel/help/aliases.rds
%{_libdir}/R/library/parallel/help/parallel.rdb
%{_libdir}/R/library/parallel/help/parallel.rdx
%{_libdir}/R/library/parallel/help/paths.rds
%dir %{_libdir}/R/library/parallel/html
%{_libdir}/R/library/parallel/html/00Index.html
%{_libdir}/R/library/parallel/html/R.css
%dir %{_libdir}/R/library/parallel/libs
%{_libdir}/R/library/parallel/libs/parallel.so

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-parallel.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/parallel.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-parallel.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/parallel.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-parallel.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/parallel.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-parallel.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/parallel.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-parallel.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/parallel.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-parallel.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/parallel.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-parallel.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/parallel.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-parallel.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/parallel.mo

# splines

%package -n R-splines
Summary:        Package providing R-splines
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-splines
This package provides R-splines, one of R-core packages.

%files -n R-splines
%defattr(-, root, root)

%dir %{_libdir}/R/library/splines/
%{_libdir}/R/library/splines/DESCRIPTION
%{_libdir}/R/library/splines/help/
%{_libdir}/R/library/splines/html/
%{_libdir}/R/library/splines/INDEX
%{_libdir}/R/library/splines/libs/
%{_libdir}/R/library/splines/Meta/
%{_libdir}/R/library/splines/NAMESPACE
%{_libdir}/R/library/splines/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-splines.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/splines.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-splines.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/splines.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-splines.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/splines.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-splines.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/splines.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-splines.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/splines.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-splines.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/splines.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-splines.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/splines.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-splines.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/splines.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-splines.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/splines.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-splines.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/splines.mo

# stats

%package -n R-stats
Summary:        Package providing R-stats
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-stats
This package provides R-stats, one of R-core packages.


%files -n R-stats
%defattr(-, root, root)

%dir %{_libdir}/R/library/stats/
%{_libdir}/R/library/stats/COPYRIGHTS.modreg
%{_libdir}/R/library/stats/demo/
%{_libdir}/R/library/stats/DESCRIPTION
%{_libdir}/R/library/stats/help/
%{_libdir}/R/library/stats/html/
%{_libdir}/R/library/stats/INDEX
%{_libdir}/R/library/stats/libs/
%{_libdir}/R/library/stats/Meta/
%{_libdir}/R/library/stats/NAMESPACE
%{_libdir}/R/library/stats/R/
%{_libdir}/R/library/stats/SOURCES.ts

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-stats.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/stats.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-stats.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/stats.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-stats.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/stats.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-stats.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/stats.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-stats.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/stats.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-stats.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/stats.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-stats.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/stats.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-stats.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/stats.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-stats.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/stats.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-stats.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/stats.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R-stats.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-stats.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/stats.mo

# stats4
%package -n R-stats4
Summary:        Package providing R-stats4
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-stats4
This package provides R-stats4, one of R-core packages.

%files -n R-stats4
%defattr(-, root, root)

%dir %{_libdir}/R/library/stats4/
%{_libdir}/R/library/stats4/DESCRIPTION
%{_libdir}/R/library/stats4/help/
%{_libdir}/R/library/stats4/html/
%{_libdir}/R/library/stats4/INDEX
%{_libdir}/R/library/stats4/Meta/
%{_libdir}/R/library/stats4/NAMESPACE
%{_libdir}/R/library/stats4/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-stats4.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-stats4.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-stats4.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-stats4.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-stats4.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-stats4.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-stats4.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-stats4.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-stats4.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-stats4.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R-stats4.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-stats4.mo

# tcltk

%package -n R-tcltk
Summary:        Package providing R-tcltk
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-tcltk
This package provides R-tcltk, one of R-core packages.

%files -n R-tcltk
%defattr(-, root, root)

%dir %{_libdir}/R/library/tcltk/
%{_libdir}/R/library/tcltk/demo/
%{_libdir}/R/library/tcltk/DESCRIPTION
%{_libdir}/R/library/tcltk/exec/
%{_libdir}/R/library/tcltk/help/
%{_libdir}/R/library/tcltk/html/
%{_libdir}/R/library/tcltk/INDEX
%{_libdir}/R/library/tcltk/libs/
%{_libdir}/R/library/tcltk/Meta/
%{_libdir}/R/library/tcltk/NAMESPACE
%{_libdir}/R/library/tcltk/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-tcltk.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/tcltk.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-tcltk.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/tcltk.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-tcltk.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/tcltk.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-tcltk.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/tcltk.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-tcltk.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-tcltk.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/tcltk.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-tcltk.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/tcltk.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-tcltk.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/tcltk.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-tcltk.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/tcltk.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-tcltk.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/tcltk.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-tcltk.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/tcltk.mo

# tools
%package -n R-tools
Summary:        Package providing R-tools
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-tools
This package provides R-tools, one of R-core packages.

%files -n R-tools
%defattr(-, root, root)

%dir %{_libdir}/R/library/tools/
%{_libdir}/R/library/tools/DESCRIPTION
%{_libdir}/R/library/tools/help/
%{_libdir}/R/library/tools/html/
%{_libdir}/R/library/tools/INDEX
%{_libdir}/R/library/tools/libs/
%{_libdir}/R/library/tools/Meta/
%{_libdir}/R/library/tools/NAMESPACE
%{_libdir}/R/library/tools/R/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-tools.mo
%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/tools.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-tools.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/tools.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-tools.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/tools.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-tools.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/tools.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/R-tools.mo
%lang(it) %{_libdir}/R/library/translations/it/LC_MESSAGES/tools.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-tools.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/tools.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-tools.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/tools.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-tools.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/tools.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-tools.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/tools.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-tools.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/tools.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R-tools.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-tools.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/tools.mo

# utils

%package -n R-utils
Summary:        Package providing R-utils
Group:          Development/Libraries/Other
Requires:       R-base = %{version}

%description -n R-utils
This package provides R-utils, one of R-core packages.

%files -n R-utils
%defattr(-, root, root)

%dir %{_libdir}/R/library/utils/
%{_libdir}/R/library/utils/DESCRIPTION
%{_libdir}/R/library/utils/help/
%{_libdir}/R/library/utils/html/
%{_libdir}/R/library/utils/iconvlist
%{_libdir}/R/library/utils/INDEX
%{_libdir}/R/library/utils/libs/
%{_libdir}/R/library/utils/Meta/
%{_libdir}/R/library/utils/misc/
%{_libdir}/R/library/utils/NAMESPACE
%{_libdir}/R/library/utils/R/
%{_libdir}/R/library/utils/Sweave/
%{_libdir}/R/library/utils/doc/

%lang(da) %{_libdir}/R/library/translations/da/LC_MESSAGES/R-utils.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/R-utils.mo
%lang(de) %{_libdir}/R/library/translations/de/LC_MESSAGES/utils.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/R-utils.mo
%lang(en) %{_libdir}/R/library/translations/en@quot/LC_MESSAGES/utils.mo
%lang(fa) %{_libdir}/R/library/translations/fa/LC_MESSAGES/R-utils.mo
%lang(fr) %{_libdir}/R/library/translations/fr/LC_MESSAGES/R-utils.mo
%lang(ja) %{_libdir}/R/library/translations/ja/LC_MESSAGES/R-utils.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/R-utils.mo
%lang(ko) %{_libdir}/R/library/translations/ko/LC_MESSAGES/utils.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/R-utils.mo
%lang(pl) %{_libdir}/R/library/translations/pl/LC_MESSAGES/utils.mo
%lang(pt_BR) %{_libdir}/R/library/translations/pt_BR/LC_MESSAGES/R-utils.mo
%lang(ru) %{_libdir}/R/library/translations/ru/LC_MESSAGES/R-utils.mo
%lang(tr) %{_libdir}/R/library/translations/tr/LC_MESSAGES/R-utils.mo
%lang(zh_CN) %{_libdir}/R/library/translations/zh_CN/LC_MESSAGES/R-utils.mo

# Recommended Packages Section

%package -n R-recommended-packages
Summary:        Metapackage, requires all recommended Packages
Group:          Development/Libraries/Other
Version:        %{Rversion}
Release:        5.8
Requires:       R-KernSmooth
Requires:       R-MASS
Requires:       R-Matrix
Requires:       R-base
Requires:       R-boot
Requires:       R-class
Requires:       R-cluster
Requires:       R-codetools
Requires:       R-foreign
Requires:       R-lattice
Requires:       R-mgcv
Requires:       R-nlme
Requires:       R-nnet
Requires:       R-rpart
Requires:       R-spatial
Requires:       R-survival

%description -n R-recommended-packages
Metapackage, Requires: all recommended Packages

%files -n R-recommended-packages

# boot
%package -n R-boot
Summary:        Package provides recommended R-boot
Group:          Development/Libraries/Other
Version:        1.3.18
Release:        5.8
Requires:       R-base

%description -n R-boot
This packages provides R-boot, one of the recommended packages.

%files -n R-boot
%defattr(-, root, root)

%dir %{_libdir}/R/library/boot/
%{_libdir}/R/library/boot/bd.q
%{_libdir}/R/library/boot/CITATION
%{_libdir}/R/library/boot/data/
%{_libdir}/R/library/boot/DESCRIPTION
%{_libdir}/R/library/boot/help/
%{_libdir}/R/library/boot/html/
%{_libdir}/R/library/boot/INDEX
%{_libdir}/R/library/boot/Meta/
%{_libdir}/R/library/boot/NAMESPACE
%dir %{_libdir}/R/library/boot/po/
%lang(de) %{_libdir}/R/library/boot/po/de/
%lang(en) %{_libdir}/R/library/boot/po/en*/
%lang(fr) %{_libdir}/R/library/boot/po/fr/
%lang(ko) %{_libdir}/R/library/boot/po/ko/
%lang(pl) %{_libdir}/R/library/boot/po/pl/
%lang(ru) %{_libdir}/R/library/boot/po/ru/
%{_libdir}/R/library/boot/R/

#class

%package -n R-class
Summary:        Package provides recommended R-class
Group:          Development/Libraries/Other
Version:        7.3.14
Release:        5.8
Requires:       R-base

%description -n R-class
This packages provides R-class, one of the recommended packages.

%files -n R-class
%defattr(-, root, root)

%dir %{_libdir}/R/library/class/
%{_libdir}/R/library/class/CITATION
%{_libdir}/R/library/class/DESCRIPTION
%{_libdir}/R/library/class/help/
%{_libdir}/R/library/class/html/
%{_libdir}/R/library/class/INDEX
%{_libdir}/R/library/class/libs/
#{_libdir}/R/library/class/LICENCE
%{_libdir}/R/library/class/Meta/
%{_libdir}/R/library/class/NAMESPACE
%{_libdir}/R/library/class/NEWS

%dir %{_libdir}/R/library/class/po/
%lang(de) %{_libdir}/R/library/class/po/de/
%lang(en) %{_libdir}/R/library/class/po/en*/
%lang(fr) %{_libdir}/R/library/class/po/fr/
%lang(ko) %{_libdir}/R/library/class/po/ko/
%lang(pl) %{_libdir}/R/library/class/po/pl/
%{_libdir}/R/library/class/R/

#cluster
%package -n R-cluster
Summary:        Package provides recommended R-cluster
Group:          Development/Libraries/Other
Version:        2.0.4
Release:        5.8
Requires:       R-base

%description -n R-cluster
This packages provides R-cluster, one of the recommended packages.

%files -n R-cluster
%defattr(-, root, root)

%dir %{_libdir}/R/library/cluster/
%{_libdir}/R/library/cluster/CITATION
%{_libdir}/R/library/cluster/data/
%{_libdir}/R/library/cluster/DESCRIPTION
%{_libdir}/R/library/cluster/help/
%{_libdir}/R/library/cluster/html/
%{_libdir}/R/library/cluster/INDEX
%{_libdir}/R/library/cluster/libs/
%{_libdir}/R/library/cluster/Meta/
%{_libdir}/R/library/cluster/NAMESPACE
%{_libdir}/R/library/cluster/NEWS.Rd
%{_libdir}/R/library/cluster/R/
%dir %{_libdir}/R/library/cluster/po/
%lang(de) %{_libdir}/R/library/cluster/po/de/
%lang(en) %{_libdir}/R/library/cluster/po/en*/
%lang(fr) %{_libdir}/R/library/cluster/po/fr/
%lang(ko) %{_libdir}/R/library/cluster/po/ko/
%lang(pl) %{_libdir}/R/library/cluster/po/pl/

#codetools

%package -n R-codetools
Summary:        Package provides recommended R-codetools
Group:          Development/Libraries/Other
Version:        0.2.14
Release:        5.8
Requires:       R-base

%description -n R-codetools
This packages provides R-codetools, one of the recommended packages.

%files -n R-codetools
%defattr(-, root, root)

%dir %{_libdir}/R/library/codetools/
%{_libdir}/R/library/codetools/DESCRIPTION
%{_libdir}/R/library/codetools/help/
%{_libdir}/R/library/codetools/html/
%{_libdir}/R/library/codetools/INDEX
%{_libdir}/R/library/codetools/Meta/
%{_libdir}/R/library/codetools/NAMESPACE
%{_libdir}/R/library/codetools/R/

# foreign

%package -n R-foreign
Summary:        Package provides recommended R-foreign
Group:          Development/Libraries/Other
Version:        0.8.66
Release:        5.8
Requires:       R-base

%description -n R-foreign
This packages provides R-foreign, one of the recommended packages.

%files -n R-foreign
%defattr(-, root, root)

%dir %{_libdir}/R/library/foreign/
%{_libdir}/R/library/foreign/COPYRIGHTS
%{_libdir}/R/library/foreign/DESCRIPTION
%{_libdir}/R/library/foreign/files/
%{_libdir}/R/library/foreign/help/
%{_libdir}/R/library/foreign/html/
%{_libdir}/R/library/foreign/INDEX
%{_libdir}/R/library/foreign/libs/
%{_libdir}/R/library/foreign/Meta/
%{_libdir}/R/library/foreign/NAMESPACE
%dir %{_libdir}/R/library/foreign/po/
%lang(de) %{_libdir}/R/library/foreign/po/de/
%lang(en) %{_libdir}/R/library/foreign/po/en*/
%lang(fr) %{_libdir}/R/library/foreign/po/fr/
%lang(pl) %{_libdir}/R/library/foreign/po/pl/
%{_libdir}/R/library/foreign/R/

# KernSmooth 

%package -n R-KernSmooth
Summary:        Package provides recommended R-KernSmooth
Group:          Development/Libraries/Other
Version:        2.23.15
Release:        5.8
Requires:       R-base

%description -n R-KernSmooth
This packages provides R-KernSmooth, one of the recommended packages.

%files -n R-KernSmooth
%defattr(-, root, root)

%dir %{_libdir}/R/library/KernSmooth/
%{_libdir}/R/library/KernSmooth/DESCRIPTION
%{_libdir}/R/library/KernSmooth/help/
%{_libdir}/R/library/KernSmooth/html/
%{_libdir}/R/library/KernSmooth/INDEX
%{_libdir}/R/library/KernSmooth/libs/
%{_libdir}/R/library/KernSmooth/Meta/
%{_libdir}/R/library/KernSmooth/NAMESPACE
%dir %{_libdir}/R/library/KernSmooth/po/
%lang(de) %{_libdir}/R/library/KernSmooth/po/de/
%lang(en) %{_libdir}/R/library/KernSmooth/po/en*/
%lang(fr) %{_libdir}/R/library/KernSmooth/po/fr/
%lang(pl) %{_libdir}/R/library/KernSmooth/po/pl/
%lang(ko) %{_libdir}/R/library/KernSmooth/po/ko/
%{_libdir}/R/library/KernSmooth/R/

# lattice

%package -n R-lattice
Summary:        Package provides recommended R-lattice
Group:          Development/Libraries/Other
Version:        0.20.33
Release:        5.8
Requires:       R-base

%description -n R-lattice
This packages provides R-lattice, one of the recommended packages.

%files -n R-lattice
%defattr(-, root, root)

%dir %{_libdir}/R/library/lattice/
%{_libdir}/R/library/lattice/CITATION
%{_libdir}/R/library/lattice/data/
%{_libdir}/R/library/lattice/demo/
%{_libdir}/R/library/lattice/DESCRIPTION
%{_libdir}/R/library/lattice/help/
%{_libdir}/R/library/lattice/html/
%{_libdir}/R/library/lattice/INDEX
%{_libdir}/R/library/lattice/libs/
%{_libdir}/R/library/lattice/Meta/
%{_libdir}/R/library/lattice/NAMESPACE
%{_libdir}/R/library/lattice/NEWS
%dir %{_libdir}/R/library/lattice/po/
%lang(de) %{_libdir}/R/library/lattice/po/de/
%lang(en) %{_libdir}/R/library/lattice/po/en*/
%lang(fr) %{_libdir}/R/library/lattice/po/fr/
%lang(ko) %{_libdir}/R/library/lattice/po/ko/
%lang(pl) %{_libdir}/R/library/lattice/po/pl/
%{_libdir}/R/library/lattice/R/

# MASS

%package -n R-MASS
Summary:        Package provides recommended R-MASS
Group:          Development/Libraries/Other
Version:        7.3.45
Release:        5.8
Requires:       R-base

%description -n R-MASS
This packages provides R-MASS, one of the recommended packages.

%files -n R-MASS
%defattr(-, root, root)

%dir %{_libdir}/R/library/MASS/
%{_libdir}/R/library/MASS/CITATION
%{_libdir}/R/library/MASS/data/
%{_libdir}/R/library/MASS/DESCRIPTION
%{_libdir}/R/library/MASS/help/
%{_libdir}/R/library/MASS/html/
%{_libdir}/R/library/MASS/INDEX
%{_libdir}/R/library/MASS/libs/
#{_libdir}/R/library/MASS/LICENCE
%{_libdir}/R/library/MASS/Meta/
%{_libdir}/R/library/MASS/NAMESPACE
%{_libdir}/R/library/MASS/NEWS
%dir %{_libdir}/R/library/MASS/po
%lang(de) %{_libdir}/R/library/MASS/po/de/
%lang(en) %{_libdir}/R/library/MASS/po/en*/
%lang(fr) %{_libdir}/R/library/MASS/po/fr/
%lang(ko) %{_libdir}/R/library/MASS/po/ko/
%lang(pl) %{_libdir}/R/library/MASS/po/pl/
%{_libdir}/R/library/MASS/R/
%{_libdir}/R/library/MASS/scripts/

# Matrix 

%package -n R-Matrix
Summary:        Package provides recommended R-Matrix
Group:          Development/Libraries/Other
Version:        1.2.6
Release:        5.8
Requires:       R-base

%description -n R-Matrix
This packages provides R-Matrix, one of the recommended packages.

%files -n R-Matrix
%defattr(-, root, root)

%dir %{_libdir}/R/library/Matrix/
%{_libdir}/R/library/Matrix/Copyrights
%{_libdir}/R/library/Matrix/data/
%{_libdir}/R/library/Matrix/doc/
%{_libdir}/R/library/Matrix/DESCRIPTION
%{_libdir}/R/library/Matrix/Doxyfile
%{_libdir}/R/library/Matrix/external/
%{_libdir}/R/library/Matrix/help/
%{_libdir}/R/library/Matrix/html/
%{_libdir}/R/library/Matrix/INDEX
%{_libdir}/R/library/Matrix/libs/
%{_libdir}/R/library/Matrix/LICENCE
%{_libdir}/R/library/Matrix/Meta/
%{_libdir}/R/library/Matrix/NAMESPACE
%{_libdir}/R/library/Matrix/NEWS.Rd
%dir %{_libdir}/R/library/Matrix/po/
%lang(de) %{_libdir}/R/library/Matrix/po/de/
%lang(en) %{_libdir}/R/library/Matrix/po/en*/
%lang(fr) %{_libdir}/R/library/Matrix/po/fr/
%lang(ko) %{_libdir}/R/library/Matrix/po/ko/
%lang(pl) %{_libdir}/R/library/Matrix/po/pl/
%{_libdir}/R/library/Matrix/R/
%{_libdir}/R/library/Matrix/test-tools.R
%{_libdir}/R/library/Matrix/test-tools-1.R
%{_libdir}/R/library/Matrix/test-tools-Matrix.R

%package -n R-Matrix-devel
Summary:        Package provides header files for recommended R-Matrix
Group:          Development/Libraries/Other
Version:        1.2.6
Release:        5.8
Requires:       R-Matrix
Requires:       R-base

%description -n R-Matrix-devel
Package provides header files for recommended R-Matrix

%files -n R-Matrix-devel
%defattr(-, root, root)

%dir %{_libdir}/R/library/Matrix/include/
%{_libdir}/R/library/Matrix/include/Matrix.h
%{_libdir}/R/library/Matrix/include/Matrix_stubs.c
%{_libdir}/R/library/Matrix/include/cholmod.h

# mgcv 

%package -n R-mgcv
Summary:        Package provides recommended R-mgcv
Group:          Development/Libraries/Other
Version:        1.8.12
Release:        5.8
Requires:       R-base

%description -n R-mgcv
This packages provides R-mgcv, one of the recommended packages.

%files -n R-mgcv
%defattr(-, root, root)

# mgcv
%dir %{_libdir}/R/library/mgcv/
%{_libdir}/R/library/mgcv/CITATION
%{_libdir}/R/library/mgcv/DESCRIPTION
%{_libdir}/R/library/mgcv/help/
%{_libdir}/R/library/mgcv/data
%{_libdir}/R/library/mgcv/html/
%{_libdir}/R/library/mgcv/INDEX
%{_libdir}/R/library/mgcv/libs/
%{_libdir}/R/library/mgcv/Meta/
%{_libdir}/R/library/mgcv/NAMESPACE
%{_libdir}/R/library/mgcv/R/
%dir %{_libdir}/R/library/mgcv/po/
%lang(de) %{_libdir}/R/library/mgcv/po/de/
%lang(en) %{_libdir}/R/library/mgcv/po/en*/
%lang(fr) %{_libdir}/R/library/mgcv/po/fr/
%lang(ko) %{_libdir}/R/library/mgcv/po/ko/
%lang(pl) %{_libdir}/R/library/mgcv/po/pl/

# nlme 

%package -n R-nlme
Summary:        Package provides recommended R-nlme
Group:          Development/Libraries/Other
Version:        3.1.128
Release:        5.8
Requires:       R-base

%description -n R-nlme
This packages provides R-nlme, one of the recommended packages.

%files -n R-nlme
%defattr(-, root, root)

%dir %{_libdir}/R/library/nlme/
%{_libdir}/R/library/nlme/CITATION
%{_libdir}/R/library/nlme/data/
%{_libdir}/R/library/nlme/DESCRIPTION
%{_libdir}/R/library/nlme/help/
%{_libdir}/R/library/nlme/html/
%{_libdir}/R/library/nlme/INDEX
%{_libdir}/R/library/nlme/libs/
%{_libdir}/R/library/nlme/LICENCE
%{_libdir}/R/library/nlme/Meta/
%{_libdir}/R/library/nlme/mlbook/
%{_libdir}/R/library/nlme/NAMESPACE
%dir %{_libdir}/R/library/nlme/po/
%lang(de) %{_libdir}/R/library/nlme/po/de/
%lang(en) %{_libdir}/R/library/nlme/po/en*/
%lang(fr) %{_libdir}/R/library/nlme/po/fr/
%lang(ko) %{_libdir}/R/library/nlme/po/ko/
%lang(pl) %{_libdir}/R/library/nlme/po/pl/
%{_libdir}/R/library/nlme/R/
%{_libdir}/R/library/nlme/scripts/

# nnet 

%package -n R-nnet
Summary:        Package provides recommended R-nnet
Group:          Development/Libraries/Other
Version:        7.3.12
Release:        5.8
Requires:       R-base

%description -n R-nnet
This packages provides R-nnet, one of the recommended packages.

%files -n R-nnet
%defattr(-, root, root)

%dir %{_libdir}/R/library/nnet/
%{_libdir}/R/library/nnet/CITATION
%{_libdir}/R/library/nnet/DESCRIPTION
%{_libdir}/R/library/nnet/help/
%{_libdir}/R/library/nnet/html/
%{_libdir}/R/library/nnet/INDEX
%{_libdir}/R/library/nnet/libs/
%{_libdir}/R/library/nnet/Meta/
%{_libdir}/R/library/nnet/NAMESPACE
%{_libdir}/R/library/nnet/NEWS
%dir %{_libdir}/R/library/nnet/po
%lang(de) %{_libdir}/R/library/nnet/po/de/
%lang(en) %{_libdir}/R/library/nnet/po/en*/
%lang(fr) %{_libdir}/R/library/nnet/po/fr/
%lang(ko) %{_libdir}/R/library/nnet/po/ko/
%lang(pl) %{_libdir}/R/library/nnet/po/pl/
%{_libdir}/R/library/nnet/R/

# rpart = 4.1.10

%package -n R-rpart
Summary:        Package provides recommended R-rpart
Group:          Development/Libraries/Other
Version:        4.1.10
Release:        5.8
Requires:       R-base

%description -n R-rpart
This packages provides R-rpart, one of the recommended packages.

%files -n R-rpart
%defattr(-, root, root)

# rpart
%dir %{_libdir}/R/library/rpart/
%{_libdir}/R/library/rpart/data/
%{_libdir}/R/library/rpart/doc/
%{_libdir}/R/library/rpart/DESCRIPTION
%{_libdir}/R/library/rpart/help/
%{_libdir}/R/library/rpart/html/
%{_libdir}/R/library/rpart/INDEX
%{_libdir}/R/library/rpart/libs/
%{_libdir}/R/library/rpart/Meta/
%{_libdir}/R/library/rpart/NAMESPACE
%{_libdir}/R/library/rpart/NEWS.Rd
%dir %{_libdir}/R/library/rpart/po
%lang(de) %{_libdir}/R/library/rpart/po/de/
%lang(en) %{_libdir}/R/library/rpart/po/en*/
%lang(fr) %{_libdir}/R/library/rpart/po/fr/
%lang(ko) %{_libdir}/R/library/rpart/po/ko/
%lang(pl) %{_libdir}/R/library/rpart/po/pl/
%lang(ru) %{_libdir}/R/library/rpart/po/ru/
%{_libdir}/R/library/rpart/R/

# spatial

%package -n R-spatial
Summary:        Package provides recommended R-spatial
Group:          Development/Libraries/Other
Version:        7.3.11
Release:        5.8
Requires:       R-base

%description -n R-spatial
This packages provides R-spatial, one of the recommended packages.

%files -n R-spatial
%defattr(-, root, root)

# spatial
%dir %{_libdir}/R/library/spatial/
%{_libdir}/R/library/spatial/CITATION
%{_libdir}/R/library/spatial/DESCRIPTION
%{_libdir}/R/library/spatial/help/
%{_libdir}/R/library/spatial/html/
%{_libdir}/R/library/spatial/INDEX
%{_libdir}/R/library/spatial/libs/
%{_libdir}/R/library/spatial/Meta/
%{_libdir}/R/library/spatial/NAMESPACE
%{_libdir}/R/library/spatial/NEWS
%dir %{_libdir}/R/library/spatial/po
%lang(de) %{_libdir}/R/library/spatial/po/de/
%lang(en) %{_libdir}/R/library/spatial/po/en*/
%lang(fr) %{_libdir}/R/library/spatial/po/fr/
%lang(ko) %{_libdir}/R/library/spatial/po/ko/
%lang(pl) %{_libdir}/R/library/spatial/po/pl/
%{_libdir}/R/library/spatial/ppdata/
%{_libdir}/R/library/spatial/PP.files
%{_libdir}/R/library/spatial/R/

# survival

%package -n R-survival
Summary:        Package provides recommended R-survival
Group:          Development/Libraries/Other
Version:        2.39.4
Release:        5.8
Requires:       R-base

%description -n R-survival
This packages provides R-survival, one of the recommended packages.

%files -n R-survival
%defattr(-, root, root)

%dir %{_libdir}/R/library/survival/
%{_libdir}/R/library/survival/data/
%{_libdir}/R/library/survival/CITATION
%{_libdir}/R/library/survival/COPYRIGHTS
%{_libdir}/R/library/survival/doc/
%{_libdir}/R/library/survival/DESCRIPTION
%{_libdir}/R/library/survival/help/
%{_libdir}/R/library/survival/html/
%{_libdir}/R/library/survival/INDEX
%{_libdir}/R/library/survival/libs/
%{_libdir}/R/library/survival/Meta/
%{_libdir}/R/library/survival/NAMESPACE
%{_libdir}/R/library/survival/NEWS.Rd
%{_libdir}/R/library/survival/R/

%changelog
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix typo in Group tag.
* Tue Jun 21 2016 detlef.steuer@gmx.de
- upstream release 3.3.1
- Most important changes
  CHANGES IN R 3.3.1:
  BUG FIXES:
  * R CMD INSTALL and hence install.packages() gave an internal error
    installing a package called description from a tarball on a
    case-insensitive file system.
  * match(x, t) (and hence x %%in%% t) failed when x was of length one,
    and either character and x and t only differed in their Encoding
    or when x and t where complex with NAs or NaNs.  (PR#16885.)
  * unloadNamespace(ns) also works again when ns is a 'namespace', as
    from getNamespace().
  * rgamma(1,Inf) or rgamma(1, 0,0) no longer give NaN but the
    correct limit.
  * length(baseenv()) is correct now.
  * pretty(d, ..) for date-time d rarely failed when "halfmonth" time
    steps were tried (PR#16923) and on 'inaccurate' platforms such as
    32-bit windows or a configuration with --disable-long-double; see
    comment #15 of PR#16761.
  * In text.default(x, y, labels), the rarely(?) used default for
    labels is now correct also for the case of a 2-column matrix x
    and missing y.
  * as.factor(c(a = 1L)) preserves names() again as in R < 3.1.0.
  * strtrim(""[0], 0[0]) now works.
  * Use of Ctrl-C to terminate a reverse incremental search started
    by Ctrl-R in the readline-based Unix terminal interface is now
    supported for readline >= 6.3 (Ctrl-G always worked).  (PR#16603)
  * diff(<difftime>) now keeps the "units" attribute, as subtraction
    already did, PR#16940.
* Wed May 18 2016 detlef.steuer@gmx.de
- further cleanup of spec file.
  Removed unneeded explicit Requires for
  libcairo2/libfreetype6/liblzma5/libreadline6
  Removed removal of backup file that was meanwhile removed upstream.
* Wed May 11 2016 detlef.steuer@gmx.de
- clean up of spec file after comments from  Jan Engelhardt in
  https://build.opensuse.org/request/show/393426
  Some unneeded explicit BuildRequires removed.
* Tue May  3 2016 detlef.steuer@gmx.de
- tre.patch was removed.
* Tue May  3 2016 detlef.steuer@gmx.de
- and libbz2-devel needed, too.
* Tue May  3 2016 detlef.steuer@gmx.de
- added BuildRequires: bzip2
  for i586.
* Tue May  3 2016 detlef.steuer@gmx.de
- upstream release 3.3.0
  CHANGES IN R 3.3.0:
  SIGNIFICANT USER-VISIBLE CHANGES:
  * nchar(x, *)'s argument keepNA governing how the result for NAs in
    x is determined, gets a new default keepNA = NA which returns NA
    where x is NA, except for type = "width" which still returns 2,
    the formatting / printing width of NA.
  * All builds have support for https: URLs in the default methods
    for download.file(), url() and code making use of them.
    Unfortunately that cannot guarantee that any particular https:
    URL can be accessed.  For example, server and client have to
    successfully negotiate a cryptographic protocol (TLS/SSL, ...)
    and the server's identity has to be verifiable _via_ the
    available certificates.  Different access methods may allow
    different protocols or use private certificate bundles: we
    encountered a https: CRAN mirror which could be accessed by one
    browser but not by another nor by download.file() on the same
    Linux machine.
  NEW FEATURES:
  * The print method for methods() gains a byclass argument.
  * New functions validEnc() and validUTF8() to give access to the
    validity checks for inputs used by grep() and friends.
  * Experimental new functionality for S3 method checking, notably
    isS3method().
    Also, the names of the R 'language elements' are exported as
    character vector tools::langElts.
  * str(x) now displays "Time-Series" also for matrix (multivariate)
    time-series, i.e. when is.ts(x) is true.
  * (Windows only) The GUI menu item to install local packages now
    accepts *.tar.gz files as well as *.zip files (but defaults to
    the latter).
  * New programmeR's utility function chkDots().
  * D() now signals an error when given invalid input, rather than
    silently returning NA.  (Request of John Nash.)
  * formula objects are slightly more "first class": e.g., formula()
    or new("formula", y ~ x) are now valid.  Similarly, for "table",
    "ordered" and "summary.table".  Packages defining S4 classes with
    the above S3/S4 classes as slots should be reinstalled.
  * New function strrep() for repeating the elements of a character
    vector.
  * rapply() preserves attributes on the list when how = "replace".
  * New S3 generic function sigma() with methods for extracting the
    estimated standard deviation aka "residual standard deviation"
    from a fitted model.
  * news() now displays R and package news files within the HTML help
    system if it is available.  If no news file is found, a visible
    NULL is returned to the console.
  * as.raster(x) now also accepts raw arrays x assuming values in
    0:255.
  * Subscripting of matrix/array objects of type "expression" is now
    supported.
  * type.convert("i") now returns a factor instead of a complex value
    with zero real part and missing imaginary part.
  * Graphics devices cairo_pdf() and cairo_ps() now allow non-default
    values of the cairographics 'fallback resolution' to be set.
    This now defaults to 300 on all platforms: that is the default
    documented by cairographics, but apparently was not used by all
    system installations.
  * file() gains an explicit method argument rather than implicitly
    using getOption("url.method", "default").
  * Thanks to a patch from Tomas Kalibera, x[x != 0] is now typically
    faster than x[which(x != 0)] (in the case where x has no NAs, the
    two are equivalent).
  * read.table() now always uses the names for a named colClasses
    argument (previously names were only used when colClasses was too
    short). (In part, wish of PR#16478.)
  * (Windows only) download.file() with default method = "auto" and a
    ftps:// URL chooses "libcurl" if that is available.
  * The out-of-the box Bioconductor mirror has been changed to one
    using https://: use chooseBioCmirror() to choose a http:// mirror
    if required.
  * The data frame and formula methods for aggregate() gain a drop
    argument.
  * available.packages() gains a repos argument.
  * The undocumented switching of methods for url() on https: and
    ftps: URLs is confined to method = "default" (and documented).
  * smoothScatter() gains a ret.selection argument.
  * qr() no longer has a ... argument to pass additional arguments to
    methods.
  * [ has a method for class "table".
  * It is now possible (again) to replayPlot() a display list
    snapshot that was created by recordPlot() in a different R
    session.
    It is still not a good idea to use snapshots as a persistent
    storage format for R plots, but it is now not completely silly to
    use a snapshot as a format for transferring an R plot between two
    R sessions.
    The underlying changes mean that packages providing graphics
    devices (e.g., Cairo, RSvgDevice, cairoDevice, tikzDevice) will
    need to be reinstalled.
    Code for restoring snapshots was contributed by Jeroen Ooms and
    JJ Allaire.
    Some testing code is available at <URL:
    https://github.com/pmur002/R-display-list>.
  * tools::undoc(dir = D) and codoc(dir = D) now also work when D is
    a directory whose normalizePath()ed version does not end in the
    package name, e.g. from a symlink.
  * abbreviate() has more support for multi-byte character sets - it
    no longer removes bytes within characters and knows about Latin
    vowels with accents.  It is still only really suitable for (most)
    European languages, and still warns on non-ASCII input.
    abbreviate(use.classes = FALSE) is now implemented, and that is
    more suitable for non-European languages.
  * match(x, table) is faster (sometimes by an order of magnitude)
    when x is of length one and incomparables is unchanged, thanks to
    Peter Haverty (PR#16491).
  * More consistent, partly not back-compatible behavior of NA and
    NaN coercion to complex numbers, operations less often resulting
    in complex NA (NA_complex_).
  * lengths() considers methods for length and [[ on x, so it should
    work automatically on any objects for which appropriate methods
    on those generics are defined.
  * The logic for selecting the default screen device on OS X has
    been simplified: it is now quartz() if that is available even if
    environment variable DISPLAY has been set by the user.
    The choice can easily be overridden _via_ environment variable
    R_INTERACTIVE_DEVICE.
  * On Unix-like platforms which support the getline C library
    function, system(*,intern = TRUE) no longer truncates (output)
    lines longer than 8192 characters, thanks to Karl Millar.
    (PR#16544)
  * rank() gains a ties.method = "last" option, for convenience (and
    symmetry).
  * regmatches(invert = NA) can now be used to extract both
    non-matched and matched substrings.
  * data.frame() gains argument fix.empty.names; as.data.frame.list()
    gets new cut.names, col.names and fix.empty.names.
  * plot(x ~ x, *) now warns that it is the same as plot(x ~ 1, *).
  * recordPlot() has new arguments load and attach to allow package
    names to be stored as part of a recorded plot.  replayPlot() has
    new argument reloadPkgs to load/attach any package names that
    were stored as part of a recorded plot.
  * S4 dispatch works within calls to .Internal(). This means
    explicit S4 generics are no longer needed for unlist() and
    as.vector().
  * Only font family names starting with "Hershey" (and not "Her" as
    before) are given special treatment by the graphics engine.
  * S4 values are automatically coerced to vector (via as.vector)
    when subassigned into atomic vectors.
  * findInterval() gets a left.open option.
  * The version of LAPACK included in the sources has been updated to
    3.6.0, including those 'deprecated' routines which were
    previously included.  _Ca_ 40 double-complex routines have been
    added at the request of a package maintainer.
    As before, the details of what is included are in
    src/modules/lapack/README and this now gives information on
    earlier additions.
  * tapply() has been made considerably more efficient without
    changing functionality, thanks to proposals from Peter Haverty
    and Suharto Anggono.  (PR#16640)
  * match.arg(arg) (the one-argument case) is faster; so is
    sort.int().  (PR#16640)
  * The format method for object_size objects now also accepts
    "binary" units such as "KiB" and e.g., "Tb".  (Partly from
    PR#16649.)
  * Profiling now records calls of the form foo::bar and some similar
    cases directly rather than as calls to <Anonymous>.  Contributed
    by Winston Chang.
  * New string utilities startsWith(x, prefix) and endsWith(x,
    suffix).  Also provide speedups for some grepl("^...",*) uses
    (related to proposals in PR#16490).
  * Reference class finalizers run at exit, as well as on garbage
    collection.
  * Avoid parallel dependency on stats for port choice and random
    number seeds.  (PR#16668)
  * The radix sort algorithm and implementation from data.table
    (forder) replaces the previous radix (counting) sort and adds a
    new method for order().  Contributed by Matt Dowle and Arun
    Srinivasan, the new algorithm supports logical, integer (even
    with large values), real, and character vectors.  It outperforms
    all other methods, but there are some caveats (see ?sort).
  * The order() function gains a method argument for choosing between
    "shell" and "radix".
  * New function grouping() returns a permutation that stably
    rearranges data so that identical values are adjacent.  The
    return value includes extra partitioning information on the
    groups.  The implementation came included with the new radix
    sort.
  * rhyper(nn, m, n, k) no longer returns NA when one of the three
    parameters exceeds the maximal integer.
  * switch() now warns when no alternatives are provided.
  * parallel::detectCores() now has default logical = TRUE on all
    platforms - as this was the default on Windows, this change only
    affects Sparc Solaris.
    Option logical = FALSE is now supported on Linux and recent
    versions of OS X (for the latter, thanks to a suggestion of Kyaw
    Sint).
  * hist() for "Date" or "POSIXt" objects would sometimes give
    misleading labels on the breaks, as they were set to the day
    before the start of the period being displayed.  The display
    format has been changed, and the shift of the start day has been
    made conditional on right = TRUE (the default).  (PR#16679)
  * R now uses a new version of the logo (donated to the R Foundation
    by RStudio).  It is defined in .svg format, so will resize
    without unnecessary degradation when displayed on HTML
    pages-there is also a vector PDF version.  Thanks to Dirk
    Eddelbuettel for producing the corresponding X11 icon.
  * New function .traceback() returns the stack trace which
    traceback() prints.
  * lengths() dispatches internally.
  * dotchart() gains a pt.cex argument to control the size of points
    separately from the size of plot labels.  Thanks to Michael
    Friendly and Milan Bouchet-Valat for ideas and patches.
  * as.roman(ch) now correctly deals with more diverse character
    vectors ch; also arithmetic with the resulting roman numbers
    works in more cases.  (PR#16779)
  * prcomp() gains a new option rank. allowing to directly aim for
    less than min(n,p) PC's.  The summary() and its print() method
    have been amended, notably for this case.
  * gzcon() gains a new option text, which marks the connection as
    text-oriented (so e.g. pushBack() works).  It is still always
    opened in binary mode.
  * The import() namespace directive now accepts an argument except
    which names symbols to exclude from the imports. The except
    expression should evaluate to a character vector (after
    substituting symbols for strings). See Writing R Extensions.
  * New convenience function Rcmd() in package tools for invoking R
    CMD tools from within R.
  * New functions makevars_user() and makevars_site() in package
    tools to determine the location of the user and site specific
    Makevars files for customizing package compilation.
* Fri Apr 15 2016 detlef.steuer@gmx.de
- CHANGES IN R 3.2.5:
  BUG FIXES:
    • format.POSIXlt() behaved incorrectly in R 3.2.4.  E.g. the output
    of format(as.POSIXlt(paste0(1940:2000,"-01-01"), tz = "CET"),
    usetz = TRUE) ended in two "CEST" time formats.
    • A typo in the Makefile for src/extra/xz prevented builds of
    liblzma.a. (Notice that this will become unbundled in 3.3.0.)
* Thu Mar 17 2016 detlef.steuer@gmx.de
- upstrem releases minorst bug fix release
  NEWS: The 3.2.4 release had two annoyances which we would rather
  not have in an "ultra-stable" release, designed to hang around
  for the duration of the 3.3 series. One was a relatively minor
  Makefile issue affecting system using R's bundled lzma library.
  The other, rather more serious, affected printing and formatting
  of POSIXlt objects, which would unpredictably get the Daylight
  Savings Time wrong.
* Fri Mar 11 2016 detlef.steuer@gmx.de
- Some version numbers of recommended packages corrected
* Fri Mar 11 2016 detlef.steuer@gmx.de
- Release numbers for sub-packages improved
* Fri Mar 11 2016 detlef.steuer@gmx.de
- added MakefileTypo.patch to enable building for 12.2
  was a one charcter show stopper
* Thu Mar 10 2016 detlef.steuer@gmx.de
- upstream release 3.2.4, only minor improvements
  CHANGES IN R 3.2.4:
  NEW FEATURES:
    • install.packages() and related functions now give a more
    informative warning when an attempt is made to install a base
    package.
    • summary(x) now prints with less rounding when x contains infinite
    values. (Request of PR#16620.)
    • provideDimnames() gets an optional unique argument.
    • shQuote() gains type = "cmd2" for quoting in cmd.exe in Windows.
    (Response to PR#16636.)
    • The data.frame method of rbind() gains an optional argument
    stringsAsFactors (instead of only depending on
    getOption("stringsAsFactors")).
    • smooth(x, *) now also works for long vectors.
    • tools::texi2dvi() has a workaround for problems with the texi2dvi
    script supplied by texinfo 6.1.
    It extracts more error messages from the LaTeX logs when in
    emulation mode.
  UTILITIES:
    • R CMD check will leave a log file build_vignettes.log from the
    re-building of vignettes in the .Rcheck directory if there is a
    problem, and always if environment variable
    _R_CHECK_ALWAYS_LOG_VIGNETTE_OUTPUT_ is set to a true value.
  DEPRECATED AND DEFUNCT:
    • Use of SUPPORT_OPENMP from header Rconfig.h is deprecated in
    favour of the standard OpenMP define _OPENMP.
    (This has been the recommendation in the manual for a while now.)
    • The make macro AWK which is long unused by R itself but recorded
    in file etc/Makeconf is deprecated and will be removed in R
    3.3.0.
    • The C header file S.h is no longer documented: its use should be
    replaced by R.h.
* Mon Mar  7 2016 detlef.steuer@gmx.de
- The big split up. What was a monolithic R-base*rpm now is
  divided over 30 something packages, with the following layout.
  R-base-3.2.3: dummy packages, contains all of R
  Use R-base, if you don´t have a good understandig what it means
  to install only parts of it!
  R-base-devel-3.2.3: dummy, contains R-core-devel
  R-core-3.2.3: R core, no packages at all
  R-core-devel-3.2.3: devel files
  R-core-libs-3.2.3: contains Rlib
  R-core-doc-3.2.3: all the documentation of R-core
  R-core-packages-3.2.3: dummy package to load all core packages, that are
    R-compiler-3.2.3,
    R-datasets-3.2.3,
    R-grDevices-3.2.3,
    R-graphics-3.2.3,
    R-grid-3.2.3,
    R-methods-3.2.3,
    R-parallel-3.2.3,
    R-splines-3.2.3,
    R-stats-3.2.3,
    R-stats4-3.2.3,
    R-tcltk-3.2.3,
    R-tools-3.2.3,
    R-utils-3.2.3.
  Each of these packages may be installed alone.
  R-recommended-packages-3.2.3: dummy package to load all recommeded
    packages, that are
    R-boot-1.3.17,
    R-class-7.3.14,
    R-cluster-2.0.3,
    R-codetools-0.2.14,
    R-foreign-0.8.66,
    R-KernSmooth-2.23.15,
    R-lattice-0.20.33,
    R-MASS-7.3.45,
    R-Matrix-1.2.3, R-Matrix-devel-1.2.3,
    R-mgcv-1.8.9,
    R-nlme-3.1.122,
    R-nnet-7.3.11,
    R-rpart-4.1.10,
    R-spatial-7.3.11,
    R-survival-2.38.3.
  Each of these packages may be installed alone.
* Fri Dec 11 2015 detlef.steuer@gmx.de
- Upstream release R-3.2.3
  CHANGES IN R 3.2.3:
  NEW FEATURES:
  * Some recently-added Windows time zone names have been added to
    the conversion table used to convert these to Olson names.
    (Including those relating to changes for Russia in Oct 2014, as
    in PR#16503.)
  * (Windows) Compatibility information has been added to the
    manifests for Rgui.exe, Rterm.exe and Rscript.exe.  This should
    allow win.version() and Sys.info() to report the actual Windows
    version up to Windows 10.
  * Windows "wininet" FTP first tries EPSV / PASV mode rather than
    only using active mode (reported by Dan Tenenbaum).
  * which.min(x) and which.max(x) may be much faster for logical and
    integer x and now also work for long vectors.
  * The 'emulation' part of tools::texi2dvi() has been somewhat
    enhanced, including supporting quiet = TRUE.  It can be selected
    by texi2dvi = "emulation".
    (Windows) MiKTeX removed its texi2dvi.exe command in Sept 2015:
    tools::texi2dvi() tries texify.exe if it is not found.
  * (Windows only) Shortcuts for printing and saving have been added
    to menus in Rgui.exe.  (Request of PR#16572.)
  * loess(..., iterTrace=TRUE) now provides diagnostics for
    robustness iterations, and the print() method for
    summary(<loess>) shows slightly more.
  * The included version of PCRE has been updated to 8.38, a bug-fix
    release.
  * View() now displays nested data frames in a more friendly way.
    (Request with patch in PR#15915.)
  INSTALLATION and INCLUDED SOFTWARE:
  * The included configuration code for libintl has been updated to
    that from gettext version 0.19.5.1 - this should only affect how
    an external library is detected (and the only known instance is
    under OpenBSD).  (Wish of PR#16464.)
  * configure has a new argument --disable-java to disable the checks
    for Java.
  * The configure default for MAIN_LDFLAGS has been changed for the
    FreeBSD, NetBSD and Hurd OSes to one more likely to work with
    compilers other than gcc (FreeBSD 10 defaults to clang).
  * configure now supports the OpenMP flags -fopenmp=libomp (clang)
    and -qopenmp (Intel C).
  * Various macros can be set to override the default behaviour of
    configure when detecting OpenMP: see file config.site.
  * Source installation on Windows has been modified to allow for
    MiKTeX installations without texi2dvi.exe.  See file
    MkRules.dist.
  BUG FIXES:
  * regexpr(pat, x, perl = TRUE) with Python-style named capture did
    not work correctly when x contained NA strings.  (PR#16484)
  * The description of dataset ToothGrowth has been
    improved/corrected.  (PR#15953)
  * model.tables(type = "means") and hence TukeyHSD() now support
    "aov" fits without an intercept term.  (PR#16437)
  * close() now reports the status of a pipe() connection opened with
    an explicit open argument.  (PR#16481)
  * Coercing a list without names to a data frame is faster if the
    elements are very long. (PR#16467)
  * (Unix-only) Under some rare circumstances piping the output from
    Rscript or R -f could result in attempting to close the input
    file twice, possibly crashing the process.  (PR#16500)
  * (Windows) Sys.info() was out of step with win.version() and did
    not report Windows 8.
  * topenv(baseenv()) returns baseenv() again as in R 3.1.0 and
    earlier.  This also fixes compilerJIT(3) when used in .Rprofile.
  * detach()ing the methods package keeps .isMethodsDispatchOn()
    true, as long as the methods namespace is not unloaded.
  * Removed some spurious warnings from configure about the
    preprocessor not finding header files.  (PR#15989)
  * rchisq(*, df=0, ncp=0) now returns 0 instead of NaN, and
    dchisq(*, df=0, ncp=*) also no longer returns NaN in limit cases
    (where the limit is unique).  (PR#16521)
  * pchisq(*, df=0, ncp > 0, log.p=TRUE) no longer underflows (for
    ncp > ~60).
  * nchar(x, "w") returned -1 for characters it did not know about
    (e.g. zero-width spaces): it now assumes 1.  It now knows about
    most zero-width characters and a few more double-width
    characters.
  * Help for which.min() is now more precise about behavior with
    logical arguments.  (PR#16532)
  * The print width of character strings marked as "latin1" or
    "bytes" was in some cases computed incorrectly.
  * abbreviate() did not give names to the return value if minlength
    was zero, unlike when it was positive.
  * (Windows only) dir.create() did not always warn when it failed to
    create a directory.  (PR#16537)
  * When operating in a non-UTF-8 multibyte locale (e.g. an East
    Asian locale on Windows), grep() and related functions did not
    handle UTF-8 strings properly.  (PR#16264)
  * read.dcf() sometimes misread lines longer than 8191 characters.
    (Reported by Herv'e Pag`es with a patch.)
  * within(df, ..) no longer drops columns whose name start with a
    ".".
  * The built-in HTTP server converted entire Content-Type to
    lowercase including parameters which can cause issues for
    multi-part form boundaries (PR#16541).
  * Modifying slots of S4 objects could fail when the methods package
    was not attached. (PR#16545)
  * splineDesign(*, outer.ok=TRUE) (splines) is better now
    (PR#16549), and interpSpline() now allows sparse=TRUE for speedup
    with non-small sizes.
  * If the expression in the traceback was too long, traceback() did
    not report the source line number.  (Patch by Kirill M"uller.)
  * The browser did not truncate the display of the function when
    exiting with options("deparse.max.lines") set.  (PR#16581)
  * When bs(*, Boundary.knots=) had boundary knots inside the data
    range, extrapolation was somewhat off.  (Patch by Trevor Hastie.)
  * var() and hence sd() warn about factor arguments which are
    deprecated now. (PR#16564)
  * loess(*, weights = *) stored wrong weights and hence gave
    slightly wrong predictions for newdata.  (PR#16587)
  * aperm(a, *) now preserves names(dim(a)).
  * poly(x, ..) now works when either raw=TRUE or coef is specified.
    (PR#16597)
  * data(package=*) is more careful in determining the path.
  * prettyNum(*, decimal.mark, big.mark): fixed bug introduced when
    fixing PR#16411.
* Thu Dec 10 2015 detlef.steuer@gmx.de
- Reverse the whole split. Back to the big package.
  Had user reports of broken installations.
  R-base, R-base-devel and R-base-libs are provided for now.
  The big split will come for 3.3.0
* Wed Dec  9 2015 detlef.steuer@gmx.de
- R-base was changed from a giant monolith to thirty-some packages.
  There were requests to use the libs without the interpreter.
  Furthermore it is now possible to use a frugal installation of R.
  The following binaries are built now:
  R-base-3.2.2-5.1.x86_64.rpm : A Meta-package. Use this, and it looks
    just like it looked the last 10 years.
  Requires base and recommended packages.
  R-base-devel-3.2.2-5.1.x86_64.rpm: Just for backward compatibility.
  R-core-3.2.2-5.1.x86_64.rpm
  R-core-libs-3.2.2-5.1.x86_64.rpm
  R-core-devel-3.2.2-5.1.x86_64.rpm : The R-core packages install
    a bare-bones R. No packages inculded.
  R-grid-3.2.2-5.1.x86_64.rpm
  R-graphics-3.2.2-5.1.x86_64.rpm
  R-grDevices-3.2.2-5.1.x86_64.rpm
  R-datasets-3.2.2-5.1.x86_64.rpm
  R-stats4-3.2.2-5.1.x86_64.rpm
  R-methods-3.2.2-5.1.x86_64.rpm
  R-tcltk-3.2.2-5.1.x86_64.rpm
  R-compiler-3.2.2-5.1.x86_64.rpm
  R-parallel-3.2.2-5.1.x86_64.rpm
  R-splines-3.2.2-5.1.x86_64.rpm
  R-stats-3.2.2-5.1.x86_64.rpm
  R-utils-3.2.2-5.1.x86_64.rpm
  R-tools-3.2.2-5.1.x86_64.rpm : All the base packages.
  R-recommended-3.2.2-5.1.x86_64.rpm : A meta-package including all
    recommended packages.
  R-cluster-2.0.3-5.1.x86_64.rpm
  R-nlme-3.1.121-5.1.x86_64.rpm
  R-lattice-0.20.33-5.1.x86_64.rpm
  R-class-7.3.13-5.1.x86_64.rpm
  R-Matrix-devel-1.2.2-5.1.x86_64.rpm
  R-codetools-0.2.14-5.1.x86_64.rpm
  R-survival-2.38.3-5.1.x86_64.rpm
  R-rpart-4.1.10-5.1.x86_64.rpm
  R-MASS-7.3.43-5.1.x86_64.rpm
  R-mgcv-1.8.7-5.1.x86_64.rpm
  R-foreign-0.8.65-5.1.x86_64.rpm
  R-nnet-7.3.10-5.1.x86_64.rpm
  R-Matrix-1.2.2-5.1.x86_64.rpm
  R-boot-1.3.17-5.1.x86_64.rpm
  R-KernSmooth-2.23.15-5.1.x86_64.rpm
  R-spatial-7.3.10-5.1.x86_64.rpm : All recommended packaged.
    Note: They now have their own version
  numbers, so it should be much easier to
  use newer Versions of the recommended
  packages.
  And the source RPM for all the above.
  R-base-3.2.2-5.1.src.rpm
* Wed Aug 19 2015 badshah400@gmail.com
- Disable building man files for openSUSE:42.
* Mon Aug 17 2015 detlef.steuer@gmx.de
- Upstream release 3.2.2
- Most important
  CHANGES IN R 3.2.2:
  SIGNIFICANT USER-VISIBLE CHANGES:
  * It is now easier to use secure downloads from https:// URLs on
    builds which support them: no longer do non-default options need
    to be selected to do so.  In particular, packages can be
    installed from repositories which offer https:// URLs, and those
    listed by setRepositories() now do so (for some of their
    mirrors).
    Support for https:// URLs is available on Windows, and on other
    platforms if support for libcurl was compiled in and if that
    supports the https protocol (system installations can be expected
    to do).  So https:// support can be expected except on rather old
    OSes (an example being OS X 'Snow Leopard', where a non-system
    version of libcurl can be used).
    (Windows only) The default method for accessing URLs _via_
    download.file() and url() has been changed to be "wininet" using
    Windows API calls.  This changes the way proxies need to be set
    and security settings made: there have been some reports of sites
    being inaccessible under the new default method (but the previous
    methods remain available).
  NEW FEATURES:
  * cmdscale() gets new option list. for increased flexibility when a
    list should be returned.
  * configure now supports texinfo version 6.0, which (unlike the
    change from 4.x to 5.0) is a minor update.  (Wish of PR#16456.)
  * (Non-Windows only) download.file() with default method = "auto"
    now chooses "libcurl" if that is available and a https:// or
    ftps:// URL is used.
  * (Windows only) setInternet2(TRUE) is now the default.  The
    command-line option --internet2 and environment variable
    R_WIN_INTERNET2 are now ignored.
    Thus by default the "internal" method for download.file() and
    url() uses the "wininet" method: to revert to the previous
    default use setInternet2(FALSE).
    This means that https:// can be read by default by
    download.file() (they have been readable by file() and url()
    since R 3.2.0).
    There are implications for how proxies need to be set (see
    ?download.file): also, cacheOK = FALSE is not supported.
  * chooseCRANmirror() and chooseBioCmirror() now offer HTTPS mirrors
    in preference to HTTP mirrors.  This changes the interpretation
    of their ind arguments: see their help pages.
  * capture.output() gets optional arguments type and split to pass
    to sink(), and hence can be used to capture messages.
  C-LEVEL FACILITIES:
  * Header Rconfig.h now defines HAVE_ALLOCA_H if the platform has
    the alloca.h header (it is needed to define alloca on Solaris and
    AIX, at least: see 'Writing R Extensions' for how to use it).
  INSTALLATION and INCLUDED SOFTWARE:
  * The libtool script generated by configure has been modified to
    support FreeBSD >= 10 (PR#16410).
  BUG FIXES:
  * The HTML help page links to demo code failed due to a change in R
    3.2.0.  (PR#16432)
  * If the na.action argument was used in model.frame(), the original
    data could be modified. (PR#16436)
  * getGraphicsEvent() could cause a crash if a graphics window was
    closed while it was in use. (PR#16438)
  * matrix(x, nr, nc, byrow = TRUE) failed if x was an object of type
    "expression".
  * strptime() could overflow the allocated storage on the C stack
    when the timezone had a non-standard format much longer than the
    standard formats. (Part of PR#16328.)
  * options(OutDec = s) now signals a warning (which will become an
    error in the future) when s is not a string with exactly one
    character, as that has been a documented requirement.
  * prettyNum() gains a new option input.d.mark which together with
    other changes, e.g., the default for decimal.mark, fixes some
    format()ting variants with non-default getOption("OutDec") such
    as in PR#16411.
  * download.packages() failed for type equal to either "both" or
    "binary".  (Reported by Dan Tenenbaum.)
  * The dendrogram method of labels() is much more efficient for
    large dendrograms, now using rapply().  (Comment #15 of PR#15215)
  * The "port" algorithm of nls() could give spurious errors.
    (Reported by Radford Neal.)
  * Reference classes that inherited from reference classes in
    another package could invalidate methods of the inherited class.
    Fixing this requires adding the ability for methods to be
    "external", with the object supplied explicitly as the first
    argument, named .self. See "Inter-Package Superclasses" in the
    documentation.
  * readBin() could fail on the SPARC architecture due to alignment
    issues.  (Reported by Radford Neal.)
  * qt(*, df=Inf, ncp=.) now uses the natural qnorm() limit instead
    of returning NaN. (PR#16475)
  * Auto-printing of S3 and S4 values now searches for print() in the
    base namespace and show() in the methods namespace instead of
    searching the global environment.
  * polym() gains a coefs = NULL argument and returns class "poly"
    just like poly() which gets a new simple=FALSE option.  They now
    lead to correct predict()ions, e.g., on subsets of the original
    data.
  * rhyper(nn, <large>) now works correctly. (PR#16489)
  * ttkimage() did not (and could not) work so was removed. Ditto for
    tkimage.cget() and tkimage.configure(). Added two Ttk widgets and
    missing subcommands for Tk's image command: ttkscale(),
    ttkspinbox(), tkimage.delete(), tkimage.height(),
    tkimage.inuse(), tkimage.type(), tkimage.types(),
    tkimage.width(). (PR#15372, PR#16450)
  * getClass("foo") now also returns a class definition when it is
    found in the cache more than once.
* Thu Jun 18 2015 detlef.steuer@gmx.de
- Upstream release 3.2.1
- Improvement of build: include libcurl and texlive-dvips/
  texlive-hevetic
- Most important
  CHANGES IN R 3.2.1:
  NEW FEATURES:
  * utf8ToInt() now checks that its input is valid UTF-8 and returns
    NA if it is not.
  * install.packages() now allows type = "both" with repos = NULL if
    it can infer the type of file.
  * nchar(x, *) and nzchar(x) gain a new argument keepNA which
    governs how the result for NAs in x is determined.  For the R
    3.2.x series, the default remains FALSE which is fully back
    compatible.  From R 3.3.0, the default will change to keepNA = NA
    and you are advised to consider this for code portability.
  * news() more flexibly extracts dates from package NEWS.Rd files.
  * lengths(x) now also works (trivially) for atomic x and hence can
    be used more generally as an efficient replacement of sapply(x,
    length) and similar.
  * The included version of PCRE has been updated to 8.37, a bug-fix
    release.
  * diag() no longer duplicates a matrix when extracting its
    diagonal.
  * as.character.srcref() gains an argument to allow characters
    corresponding to a range of source references to be extracted.
  BUG FIXES:
  * acf() and ccf() now guarantee values strictly in [-1,1] (instead
    of sometimes very slightly outside). PR#15832.
  * as.integer("111111111111") now gives NA (with a warning) as it
    does for the corresponding numeric or negative number coercions.
    Further, as.integer(M + 0.1) now gives M (instead of NA) when M
    is the maximal representable integer.
  * On some platforms nchar(x, "c") and nchar(x, "w") would return
    values (possibly NA) for inputs which were declared to be UTF-8
    but were not, or for invalid strings without a marked encoding in
    a multi-byte locale, rather than give an error.  Additional
    checks have been added to mitigate this.
  * apply(a, M, function(u) c(X = ., Y = .)) again has dimnames
    containing "X" and "Y" (as in R < 3.2.0).
  * (Windows only) In some cases, the --clean option to R CMD INSTALL
    could fail.  (PR#16178)
  * (Windows only) choose.files() would occasionally include
    characters from the result of an earlier call in the result of a
    later one.  (PR#16270)
  * A change in RSiteSearch() in R 3.2.0 caused it to submit invalid
    URLs.  (PR#16329)
  * Rscript and command line R silently ignored incomplete statements
    at the end of a script; now they are reported as parse errors.
    (PR#16350)
  * Parse data for very long strings was not stored.  (PR#16354)
  * plotNode(), the workhorse of the plot method for "dendrogram"s is
    no longer recursive, thanks to Suharto Anggono, and hence also
    works for deeply nested dendrograms.  (PR#15215)
  * The parser could overflow internally when given numbers in
    scientific format with extremely large exponents.  (PR#16358)
  * If the CRAN mirror was not set, install.packages(type = "both")
    and related functions could repeatedly query the user for it.
    (Part of PR#16362)
  * The low-level functions .rowSums() etc. did not check the length
    of their argument, so could segfault. (PR#16367)
  * The quietly argument of library() is now correctly propagated
    from .getRequiredPackages2().
  * Under some circumstances using the internal PCRE when building R
    fron source would cause external libs such as -llzma to be
    omitted from the main link.
  * The .Primitive default methods of the logic operators, i.e., !, &
    and |, now give correct error messages when appropriate, e.g.,
    for `&`(TRUE) or `!`().  (PR#16385)
  * cummax(x) now correctly propagates NAs also when x is of type
    integer and begins with an NA.
  * summaryRprof() could fail when the profile contained only two
    records.  (PR#16395)
  * HTML vignettes opened using vignette() did not support links into
    the rest of the HTML help system.  (Links worked properly when
    the vignette was opened using browseVignettes() or from within
    the help system.)
  * arima(*, xreg = .) (for d >= 1) computes estimated variances
    based on a the number of effective observations as in R version
    3.0.1 and earlier.  (PR#16278)
  * slotNames(.) is now correct for "signature" objects (mostly used
    internally in methods).
  * On some systems, the first string comparison after a locale
    change would result in NA.
* Thu Apr 16 2015 detlef.steuer@gmx.de
- Upstream release 3.2.0
- Most important
  CHANGES IN 3.2.0:
  NEW FEATURES:
  * anyNA() gains a recursive argument.
  * When x is missing and names is not false (including the default
    value), Sys.getenv(x, names) returns an object of class "Dlist"
    and hence prints tidily.
  * (Windows.)  shell() no longer consults the environment variable
    SHELL: too many systems have been encountered where it was set
    incorrectly (usually to a path where software was compiled, not
    where it was installed).  R_SHELL, the preferred way to select a
    non-default shell, can be used instead.
  * Some unusual arguments to embedFonts() can now be specified as
    character vectors, and the defaults have been changed
    accordingly.
  * Functions in the Summary group duplicate less.  (PR#15798)
  * (Unix-alikes.) system(cmd, input = ) now uses
    'shell-execution-environment' redirection, which will be more
    natural if cmd is not a single command (but requires a
    POSIX-compliant shell). (Wish of PR#15508)
  * read.fwf() and read.DIF() gain a fileEncoding argument, for
    convenience.
  * Graphics devices can add attributes to their description in
    .Device and .Devices.  Several of those included with R use a
    "filepath" attribute.
  * pmatch() uses hashing in more cases and so is faster at the
    expense of using more memory. (PR#15697)
  * pairs() gains new arguments to select sets of variables to be
    plotted against each other.
  * file.info(, extra_cols = FALSE) allows a minimal set of columns
    to be computed on Unix-alikes: on some systems without
    properly-configured caching this can be significantly faster with
    large file lists.
  * New function dir.exists() in package base to test efficiently
    whether one or more paths exist and are directories.
  * dput() and friends gain new controls hexNumeric and digits17
    which output double and complex quantities as, respectively,
    binary fractions (exactly, see sprintf("%%a")) and as decimals
    with up to 17 significant digits.
  * save(), saveRDS() and serialize() now support ascii = NA which
    writes ASCII files using sprintf("%%a") for double/complex
    quantities.  This is read-compatible with ascii = TRUE but avoids
    binary->decimal->binary conversions with potential loss of
    precision.  Unfortunately the Windows C runtime's lack of C99
    compliance means that the format cannot be read correctly there
    in R before 3.1.2.
  * The default for formatC(decimal.mark =) has been changed to be
    getOption("OutDec"); this makes it more consistent with format()
    and suitable for use in print methods, e.g. those for classes
    "density", "ecdf", "stepfun" and "summary.lm".
    getOption("OutDec") is now consulted by the print method for
    class "kmeans", by cut(), dendrogram(), plot.ts() and quantile()
    when constructing labels and for the report from legend(trace =
    TRUE).
    (In part, wish of PR#15819.)
  * printNum() and hence format() and formatC() give a warning if
    big.mark and decimal.mark are set to the same value (period and
    comma are not uncommonly used for each, and this is a check that
    conventions have not got mixed).
  * merge() can create a result which uses long vectors on 64-bit
    platforms.
  * dget() gains a new argument keep.source which defaults to FALSE
    for speed (dput() and dget() are most often used for data objects
    where this can make dget() many times faster).
  * Packages may now use a file of common macro definitions in their
    help files, and may import definitions from other packages.
  * A number of macros have been added in the new share/Rd directory
    for use in package overview help pages, and promptPackage() now
    makes use of them.
  * tools::parse_Rd() gains a new permissive argument which converts
    unrecognized macros into text.  This is used by
    utils:::format.bibentry to allow LaTeX markup to be ignored.
  * options(OutDec =) can now specify a multi-byte character, e.g.,
    options(OutDec = "\u00b7") in a UTF-8 locale.
  * is.recursive(x) is no longer true when x is an external pointer,
    a weak reference or byte code; the first enables all.equal(x, x)
    when x <- getClass(.).
  * ls() (aka objects()) and as.list.environment() gain a new
    argument sorted.
  * The "source" attribute (which has not been added to functions by
    R since before R version 2.14.0) is no longer treated as special.
  * Function returnValue() has been added to give on.exit() code
    access to a function's return value for debugging purposes.
  * crossprod(x, y) allows more matrix coercions when x or y are
    vectors, now equalling t(x) %%*%% y in these cases (also reported
    by Radford Neal).  Similarly, tcrossprod(x,y) and %%*%% work in
    more cases with vector arguments.
  * Utility function dynGet() useful for detecting cycles, aka
    infinite recursions.
  * The byte-code compiler and interpreter include new instructions
    that allow many scalar subsetting and assignment and scalar
    arithmetic operations to be handled more efficiently. This can
    result in significant performance improvements in scalar
    numerical code.
  * apply(m, 2, identity) is now the same as the matrix m when it has
    _named_ row names.
  * A new function debuggingState() has been added, allowing to
    temporarily turn off debugging.
  * example() gets a new optional argument run.donttest and
    tools::Rd2ex() a corresponding commentDonttest, with a default
    such that example(..) in help examples will run \donttest code
    only if used interactively (a change in behaviour).
  * rbind.data.frame() gains an optional argument make.row.names, for
    potential speedup.
  * New function extSoftVersion() to report on the versions of
    third-party software in use in this session.  Currently reports
    versions of zlib, bzlib, the liblzma from xz, PCRE, ICU, TRE and
    the iconv implementation.
    A similar function grSoftVersion() in package grDevices reports
    on third-party graphics software.
    Function tcltk::tclVersion() reports the Tcl/Tk version.
  * Calling callGeneric() without arguments now works with primitive
    generics to some extent.
  * vapply(x, FUN, FUN.VALUE) is more efficient notably for large
    length(FUN.VALUE); as extension of PR#16061.
  * as.table() now allows tables with one or more dimensions of
    length 0 (such as as.table(integer())).
  * names(x) <- NULL now clears the names of call and ... objects.
  * library() will report a warning when an insufficient dependency
    version is masking a sufficient one later on the library search
    path.
  * A new plot() method for class "raster" has been added.
  * New check_packages_in_dir_changes() function in package tools for
    conveniently analyzing how changing sources impacts the check
    results of their reverse dependencies.
  * Speed-up from Peter Haverty for ls() and
    methods:::.requirePackage() speeding up package loading.
    (PR#16133)
  * New get0() function, combining exists() and get() in one call,
    for efficiency.
  * match.call() gains an envir argument for specifying the
    environment from which to retrieve the ... in the call, if any;
    this environment was wrong (or at least undesirable) when the
    definition argument was a function.
  * topenv() has been made .Internal() for speedup, based on Peter
    Haverty's proposal in PR#16140.
  * getOption() no longer calls options() in the main case.
  * Optional use of libcurl (version 7.28.0 from Oct 2012 or later)
    for Internet access:
  * capabilities("libcurl") reports if this is available.
  * libcurlVersion() reports the version in use, and other
    details of the "libcurl" build including which URL schemes it
    supports.
  * curlGetHeaders() retrieves the headers for http://, https://,
    ftp:// and ftps:// URLs: analysis of these headers can
    provide insights into the `existence' of a URL (it might for
    example be permanently redirected) and is so used in R CMD
    check --as-cran.
  * download.file() has a new optional method "libcurl" which
    will handle more URL schemes, follow redirections, and allows
    simultaneous downloads of multiple URLs.
  * url() has a new method "libcurl" which handles more URL
    schemes and follows redirections.  The default method is
    controlled by a new option url.method, which applies also to
    the opening of URLs _via_ file() (which happens implicitly in
    functions such as read.table.)
  * When file() or url() is invoked with a https:// or ftps://
    URL which the current method cannot handle, it switches to a
    suitable method if one is available.
  * (Windows.) The DLLs internet.dll and internet2.dll have been
    merged.  In this version it is safe to switch (repeatedly)
    between the internal and Windows internet functions within an R
    session.
    The Windows internet functions are still selected by flag
  - -internet2 or setInternet2().  This can be overridden for an
    url() connection _via_ its new method argument.
    download.file() has new method "wininet", selected as the default
    by --internet2 or setInternet2().
  * parent.env<- can no longer modify the parent of a locked
    namespace or namespace imports environment.  Contributed by Karl
    Millar.
  * New function isLoadedNamespace() for readability and speed.
  * names(env) now returns all the object names of an environment
    env, equivalently to ls(env, all.names = TRUE, sorted = FALSE)
    and also to the names of the corresponding list,
    names(as.list(env, all.names = TRUE)).  Note that although
    names() returns a character vector, the names have no particular
    ordering.
  * The memory manager now grows the heap more aggressively. This
    reduces the number of garbage collections, in particular while
    data or code are loaded, at the expense of slightly increasing
    the memory footprint.
  * New function trimws() for removing leading/trailing whitespace.
  * cbind() and rbind() now consider S4 inheritance during S3
    dispatch and also obey deparse.level.
  * cbind() and rbind() will delegate recursively to methods::cbind2
    (methods::rbind2) when at least one argument is an S4 object and
    S3 dispatch fails (due to ambiguity).
  * (Windows.)  download.file(quiet = FALSE) now uses text rather
    than Windows progress bars in non-interactive use.
  * New function hsearch_db() in package utils for building and
    retrieving the help search database used by help.search(), along
    with functions for inspecting the concepts and keywords in the
    help search database.
  * New function .getNamespaceInfo(), a no-check version of
    getNamespaceInfo() mostly for internal speedups.
  * The help search system now takes \keyword entries in Rd files
    which are not standard keywords (as given in KEYWORDS in the R
    documentation directory) as concepts.  For standard keyword
    entries the corresponding descriptions are additionally taken as
    concepts.
  * New lengths() function for getting the lengths of all elements in
    a list.
  * New function toTitleCase() in package tools, tailored to package
    titles.
  * The matrix methods of cbind() and rbind() allow matrices as
    inputs which have 2^31 or more elements.  (For cbind(), wish of
    PR#16198.)
  * The default method of image() has an explicit check for a numeric
    or logical matrix (which was always required).
  * URLencode() will not by default encode further URLs which appear
    to be already encoded.
  * BIC(mod) and BIC(mod, mod2) now give non-NA numbers for arima()
    fitted models, as nobs(mod) now gives the number of "used"
    observations for such models.  This fixes PR#16198, quite
    differently than proposed there.
  * The print() methods for "htest", "pairwise.htest" and
    "power.htest" objects now have a digits argument defaulting to (a
    function of) getOption("digits"), and influencing all printed
    numbers coherently.  Unavoidably, this changes the display of
    such test results in some cases.
  * Code completion for namespaces now recognizes all loaded
    namespaces, rather than only the ones that are also attached.
  * The code completion mechanism can now be replaced by a
    user-specified completer function, for (temporary) situations
    where the usual code completion is inappropriate.
  * unzip() will now warn if it is able to detect truncation when
    unpacking a file of 4GB or more (related to PR#16243).
  * methods() reports S4 in addition to S3 methods; output is
    simplified when the class argument is used.  .S3methods() and
    methods::.S4methods() report S3 and S4 methods separately.
  * Higher order functions such as the apply functions and Reduce()
    now force arguments to the functions they apply in order to
    eliminate undesirable interactions between lazy evaluation and
    variable capture in closures.  This resolves PR#16093.
  INSTALLATION and INCLUDED SOFTWARE:
  * The \donttest sections of R's help files can be tested by
    make check TEST_DONTTEST=TRUE .
  * It is possible to request the use of system valgrind headers
    _via_ configure option --with-system-valgrind-headers: note the
    possible future incompatibility of such headers discussed in the
    'R Installation and Administration' manual. (Wish of PR#16068.)
  * The included version of liblzma has been updated to xz-utils
    5.0.7 (minor bug fixes from 5.0.5).
  * configure options --with-system-zlib, --with-system-bzlib and
  - -with-system-pcre are now the default.  For the time being there
    is fallback to the versions included in the R sources if no
    system versions are found or (unlikely) if they are too old.
    Linux users should check that the -devel or -dev versions of
    packages zlib, bzip2/libbz2 and pcre as well as
    xz-devel/liblzma-dev (or similar names) are installed.
  * configure by default looks for the texi2any script from texinfo
    5.1 or later, rather than the makeinfo program.  (makeinfo is a
    link to the Perl script texi2any in texinfo 5.x.)
  * R CMD INSTALL gains an option --built-timestamp=STAMP allowing
    100%% reproducible package building, thanks to Dirk Eddelbuettel.
  UTILITIES:
  * There is support for testing the \dontrun and \donttest parts of
    examples in packages.
    tools::testInstalledPackage() accepts new arguments
    commentDontrun = FALSE and commentDonttest = FALSE.
    R CMD check gains options --run-dontrun and --run-donttest.
  * The HTML generated by tools::Rd2HTML() and tools::toHTML()
    methods is now 'XHTML 1.0 Strict'.
  * The compiler package's utility function setCompilerOptions() now
    returns the old values invisibly. The initial optimization level
    can also be set with the environment variable
    R_COMPILER_OPTIMIZE.
  * R CMD build adds a NeedsCompilation field if one is not already
    present in the DESCRIPTION file.
  * R CMD check gains option --test-dir to specify an alternative set
    of tests to run.
  * R CMD check will now by default continue with testing after many
    types of errors, and will output a summary count of errors at the
    end if any have occurred.
  * R CMD check now checks that the Title and Description fields are
    correctly terminated.
  * R CMD check --as-cran now:
  * checks a README.md file can be processed: this needs pandoc
    installed.
  * checks the existence and accessibility of URLs in the
    DESCRIPTION, CITATION, NEWS.Rd and README.md files and in the
    help files (provided the build has libcurl support).
  * reports non-ASCII characters in R source files when there is
    no package encoding declared in the DESCRIPTION file.
  * reports (apparent) S3 methods exported but not registered.
  * reports overwriting registered S3 methods from
    base/recommended packages.  (Such methods are replaced in the
    affected package for the rest of the session, even if the
    replacing namespace is unloaded.)
  * reports if the Title field does not appear to be in title
    case (see 'Writing R Extensions': there may be false
    positives, but note that technical words should be
    single-quoted and will then be accepted).
    Most of these checks can also be selected by environment
    variables: see the 'R Internals' manual.
  C-LEVEL FACILITIES:
  * New C API utility logspace_sum(logx[], n).
  * Entry points rbinom_mu, rnbinom_mu and rmultinom are remapped (by
    default) to Rf_rbinom_mu etc.  This requires packages using them
    to be re-installed.
  * .C(DUP = FALSE) and .Fortran(DUP = FALSE) are now ignored, so
    arguments are duplicated if DUP = TRUE would do so.  As their
    help has long said, .Call() is much preferred.
  * New entry point R_allocLD, like R_alloc but guaranteed to have
    sufficient alignment for long double pointers.
  * isPairList() now returns TRUE for DOTSXP.
  WINDOWS BUILD CHANGES:
  A number of changes to the Windows build system are in development.
  The following are currently in place.
  * Installation using external binary distributions of zlib, bzip2,
    liblzma, pcre, libpng, jpeglib and libtiff is now required, and
    the build instructions have been revised.
  * A new make target rsync-extsoft has been added to obtain copies
    of the external libraries from CRAN.
  * Building the manuals now requires texi2any from texinfo 5.1 or
    later.  CRAN binary builds include the manuals, but by default
    builds from source will not, and they will be accessed from CRAN.
    See the comments in src/gnuwin32/MkRules.dist for how to specify
    the location of texi2any.
  * (Windows) Changes have been made to support an experimental
    Windows toolchain based on GCC 4.9.2.  The default toolchain
    continues to be based on GCC 4.6.3, as the new toolchain is not
    yet stable enough.  A change to a new toolchain is expected
    during the R 3.2.x lifetime.
  PACKAGE INSTALLATION:
  * (Windows) The use of macro ZLIB_LIBS in file src/Makevars.win
    (which has not been documented for a long time) now requires an
    external libz.a to be available (it is part of the 'goodies' used
    to compile Windows binary packages).  It would be simpler to use
  - lz instead.
  * The default for option pkgType on platforms using binary packages
    is now "both", so source packages will be tried if binary
    versions are not available or not up to date.
    There are options for what install.packages(type = "both")
    (possibly called _via_ update.packages()) will do if compilation
    of a source package is desirable: see ?options (under utils).
    If you intend not to accept updates as source packages, you
    should use update.packages(type = "binary").
  DEPRECATED AND DEFUNCT:
  * download.file(method = "lynx") is defunct.
  * Building R using the included versions of zlib, bzip2, xz and
    PCRE is deprecated: these are frozen (bar essential bug-fixes)
    and will be removed for R 3.3.0.
  * The configure option --with-valgrind-instrumentation=3 has been
    withdrawn, as it did not work with recent valgrind headers: it is
    now treated as level 2.
  * The MethodsList class in package methods had been deprecated in R
    2.11.0 and is defunct now.  Functions using it are defunct if
    they had been deprecated in R 2.11.0, and are deprecated now,
    otherwise.
  BUG FIXES:
  * Fixed two obscure bugs in pairlist subassignment, reported by
    Radford Neal as part of pqR issue 16.
  * Fixes for bugs in handling empty arguments and argument matching
    by name in log().
  * all.equal() gains methods for environments and refClasses.
  * [<- and [[<- gain S4 data.frame methods to avoid corruption of S4
    class information by the S3 methods.
  * callNextMethod() should now work within a .local call when ... is
    absent from formals(.local).
  * dput(pairlist(x)) generates a call to the pairlist constructor
    instead of the list constructor.
  * Fix missing() when arguments are propagated through ... .
    (PR#15707)
  * eigen(m) now defaults to symmetric = TRUE even when the dimnames
    are asymmetric if the matrix is otherwise symmetric.  (PR#16151)
  * Fix issues with forwarding ... through callGeneric() and
    callNextMethod().  (PR#16141)
  * callGeneric() now works after a callNextMethod().
  * Subclass information is kept consistent when replacing an
    ordinary S4 class with an "old class" _via_ the S4Class argument
    to setOldClass(). Thus, for example, a data.frame is valid for a
    list argument in the signature, and a factor is valid for vector
    arguments.
  * In qbeta() the inversion of pbeta() is much more sophisticated.
    This works better in corner cases some of which failed completely
    previously (PR#15755), or were using too many iterations.
  * Auto-printing no longer duplicates objects when printing is
    dispatched to a method.
  * kmeans(x, k) would fail when nrow(x) >= 42949673.  (Comment 6 of
    PR#15364)
  * 'Abbreviated' locale-specific day and month names could have been
    truncated in those rare locales where there are the same as the
    full names.
  * An irrelevant warning message from updating subclass information
    was silenced (the namespace would not be writable in this case).
* Mon Mar  9 2015 detlef.steuer@gmx.de
- Upstream release 3.1.3
- Most important
  CHANGES IN R 3.1.3:
  NEW FEATURES:
  * The internal method of download.file() can now handle files
    larger than 2GB on 32-bit builds which support such files (tested
    on 32-bit R running on 64-bit Windows).
  * kruskal.test() warns on more types of suspicious input.
  * The as.dendrogram() method for "hclust" objects gains a check
    argument protecting against memory explosion for invalid inputs.
  * capabilities() has a new item long.double which indicates if the
    build uses a long double type which is longer than double.
  * nlm() no longer modifies the callback argument in place (a new
    vector is allocated for each invocation, which mimics the
    implicit duplication that occurred in R < 3.1.0); note that this
    is a change from the previously documented behavior. (PR#15958)
  * icuSetCollate() now accepts locale = "ASCII" which uses the basic
    C function strcmp and so collates strings byte-by-byte in
    numerical order.
  * sessionInfo() tries to report the OS version in use (not just
    that compiled under, and including details of Linux
    distributions).
  * model.frame() (used by lm() and many other modelling functions)
    now warns when it drops contrasts from factors.  (Wish of
    PR#16119)
  * install.packages() and friends now accept the value type =
    "binary" as a synonym for the native binary type on the platform
    (if it has one).
  * Single source or binary files can be supplied for
    install.packages(type = "both") and the appropriate type and
    repos = NULL will be inferred.
  * New function pcre_config() to report on some of the configuration
    options of the version of PCRE in use.  In particular, this
    reports if regular expressions using \p{xx} are supported.
  * (Windows.) download.file(cacheOK = FALSE) is now supported when
    internet2.dll is used.
  * browseURL() has been updated to work with Firefox 36.0 which has
    dropped support for the -remote interface.
  INSTALLATION and INCLUDED SOFTWARE:
  * The included version of PCRE has been updated to 8.36.
  * configure accepts MAKEINFO=texi2any as another way to ensure
    texinfo 5.x is used when both 5.x and 4.x are installed.
  UTILITIES:
  * R CMD check now checks the packages used in \donttest sections of
    the examples are specified in the DESCRIPTION file.  (These are
    needed to run the examples interactively.)
  * R CMD check checks for the undeclared use of GNU extensions in
    Makefiles, and for Makefiles with a missing final linefeed.
    R CMD build will correct line endings in all Makefiles, not just
    those in the src directory.
  * R CMD check notes uses of library() and require() in package
    code: see the section 'Suggested packages' of 'Writing R
    Extensions' for good practice.
  DEPRECATED AND DEFUNCT:
  * The configure option --with-valgrind-instrumentation=3 is
    deprecated and will be removed in R 3.2.0.
  BUG FIXES:
  * (Windows.) Rscript.exe was missing a manifest specifying the
    modern style for common controls (e.g., the download progress
    bar).
  * If a package had extra documentation files but no vignette, the
    HTML help system produced an empty index page.
  * The parser now gives an error if a null character is included in
    a string using Unicode escapes. (PR#16046)
  * qr.Q() failed on complex arguments due to pre-3.0(!) typo.
    (PR#16054)
  * abs() failed with named arguments when the argument was complex.
    (PR#16047)
  * "noquote" objects may now be used as columns in dataframes.
    (PR#15997)
  * Some values with extremely long names were printed incorrectly.
    (PR#15999)
  * Extremely large exponents on zero expressed in scientific
    notation (e.g. 0.0e50000) could give NaN.  (PR#15976)
  * download.file() reported downloaded sizes as 0KB if less than
    1MB, only for R 3.1.2 and only on big-endian platforms.
  * prompt() did not escape percent signs in the automatically
    generated usage section of help files.
  * drop.terms() dropped some of the attributes of the object it was
    working with.  (PR#16029)
  * (Windows.) The command completion in Rgui.exe messed up the
    console.  (PR#15791)
  * (Windows.) The choose.files() command returned a blank string
    when the user asked for a single file but cancelled the request.
    (PR#16074)
  * Math2 S4 group generics failed to correctly dispatch "structure"-
    and "nonStructure"-derived classes.
  * loadNamespace() imposed undocumented restrictions on the
    versionCheck parameter.  (Reported by Geoff Lee.)
  * Rare over-runs detected by AddressSanitizer in substr() and its
    replacement version have been avoided.
    _Inter alia_ that fix gives the documented behaviour for
    substr(x, 1, 2) <- "" (subsequently reported as PR#16214).
  * Loading packages incorrectly defining an S4 generic followed by a
    function of the same name caused an erroneous cyclic namespace
    dependency error.
  * Declared vignette encodings are now always passed to the vignette
    engine.
  * Port Tomas Kalibera's fix from R-devel that restores the
    loadMethod() fast path, effectively doubling the speed of S4
    dispatch.
  * power.t.test() and power.prop.test() now make use of the
    extendInt option of uniroot() and hence work in more extreme
    cases.  (PR#15792)
  * If a package was updated and attached when its namespace was
    already loaded, it could end up with parts from one version and
    parts from the other.  (PR#16120)
  * tools:::.Rdconv() didn't accept --encoding= due to a typo.
    (PR#16121)
  * Unix-alike builds without a suitable makeinfo were documented to
    link the missing HTML manuals to CRAN, but did not.
  * save(*, ascii=TRUE) and load() now correctly deal with NaN's.
    (PR#16137)
  * split.Date() retains fractional representations while avoiding
    incomplete class propagation.
  * R_ext/Lapack.h had not been updated for changes made by LAPACK to
    the argument lists of its (largely internal) functions dlaed2 and
    dlaed3.  (PR#16157)
  * RShowDoc("NEWS", "txt") had not been updated for the layout
    changes of R 3.1.0.
  * The xtfrm() method for class "Surv" has been corrected and its
    description expanded.
  * mode(x) <- y would incorrectly evaluate x before changing its
    mode. (PR#16215)
  * besselJ(1, 2^64) and besselY(..) now signal a warning, returning
    NaN instead of typically segfaulting. (Issue 3 of PR#15554)
  * HTML conversion of \href markup in .Rd files did not remove the
    backslash from \%% and so gave an invalid URL.  In a related
    change, the \ escape is now required in such URLs.
* Fri Dec 12 2014 sbahling@suse.com
- Remove tex(inconsolata.sty) BuildRequires for SLE_12 builds (like
  older SLE releases).
* Fri Oct 31 2014 detlef.steuer@gmx.de
- Upstream release 3.1.2
- Most important
  CHANGES IN R 3.1.2:
  NEW FEATURES:
  * embedFonts() now defaults to format = "ps2write" for .ps and .eps
    files.  This is available in Ghostscript 9.x (since 2010) whereas
    the previous default, format = "pswrite", was removed in
    Ghostscript 9.10.
  * For consistency with [dpqr]norm(), [dp]lnorm(sdlog = 0) model a
    point mass at exp(mulog) rather than return NaN (for an error).
  * capabilities() now reports if ICU is compiled in for use for
    collation (it is only actually used if a suitable locale is set
    for collation, and never for a C locale).
  * (OS X only.) Package tcltk checks when loaded if it is linked
    against the CRAN X11-based Tcl/Tk and if so that the Tcl/Tk
    component and the X11 libraries are installed.  This allows more
    informative error messages to be given advising the installation
    of the missing component or of XQuartz.
    The X11() device and X11-based versions of the data editor and
    viewer (invoked by edit() and View() for data frames and matrices
    from command-line R) check that the X11 libraries are installed
    and if not advises installing XQuartz.
  * icuSetCollate() allows locale = "default", and locale = "none" to
    use OS services rather than ICU for collation.
    Environment variable R_ICU_LOCALE can be used to set the default
    ICU locale, in case the one derived from the OS locale is
    inappropriate (this is currently necessary on Windows).
  * New function icuGetCollate() to report on the ICU collation
    locale in use (if any).
  * utils::URLencode() was updated to use unreserved and reserved
    characters from RFC 3986, <URL:
    http://tools.ietf.org/html/rfc3986>, instead of RFC 1738.
  * unique(warnings()) and c(warnings()) are now supported.
  * The Bioconductor 'version' used by setRepositories() now defaults
    to 3.0. (It can be set at runtime _via_ environment variable
    R_BIOC_VERSION.)
  INSTALLATION and INCLUDED SOFTWARE:
  * The configure script reports on the more important
    capabilities/options which will not be compiled in.
    More types of external BLAS are recognized by name in that
    report.
  * When building R as a shared library, the -L${R_HOME}/lib${R_ARCH}
    flag is placed earlier in the link commands used during
    installation and when packages are installed: this helps ensure
    that the current build has priority if an R shared library has
    already been installed by e.g. install-libR in a library
    mentioned in LDFLAGS (and not in 'your system's library
    directory' as documented). (Wish of PR#15790.)
  * LaTeX package upquote is no longer required for R's use of
    inconsolata.
  * (Windows only) If both 32 and 64 bit versions of R are installed,
    the bin/R.exe and bin/Rscript.exe executables now run 64 bit R.
    (To run 32 bit R, overwrite these files with copies of
    bin/i386/Rfe.exe.)
  UTILITIES:
  * Running R CMD check with _R_CHECK_DEPENDS_ONLY_ true now makes
    the VignetteBuilder packages available even if they are listed in
    Suggests, since they are needed to recognise and process
    non-Sweave vignettes.
  * R CMD check now reports empty importFrom declarations in a
    NAMESPACE file, as these are common errors (writing
    importFrom(Pkg) where import(Pkg) was intended).
  * R CMD check now by default checks code usage directly on the
    package namespace without loading and attaching the package and
    its suggests and enhances.  For good practice with packages in
    the Suggests field, see SS1.1.3.1 of 'Writing R Extensions'.  For
    use of lazy-data objects in the package's own code, see ?data.
  BUG FIXES:
  * dmultinom() did not handle non-finite probabilities correctly.
  * prettyNum(x, zero.print=*) now also works when x contains NAs.
  * A longstanding bug exhibited by nlminb() on Windows was traced to
    a compiler bug in gcc 4.6.3; a workaround has been put in place.
    (PR#15244 and PR#15914).
  * Rendering of \command in HTML versions of help pages has been
    improved: this is particularly evident on the help page for
    INSTALL.
  * as.hexmode(x) and as.octmode(x) now behave correctly for some
    numeric x, e.g., c(NA, 1) or c(1, pi).
  * drop1() failed if the scope argument had no variables to drop.
    (PR#15935)
  * edit() (and hence fix()) failed if an object had a non-character
    attribute named "source" (an attribute that had been used in R
    prior to version 2.14.0).
  * callGeneric() could fail if the generic had ... as a formal
    argument. (PR#15937).
  * Forking in package parallel called C entry point exit in the
    child.  This was unsafe (_exit should have been called), and
    could flush stdin of the main R process (seen most often on
    Solaris).
    As good practice, stdout is now flushed before forking a child.
  * R objects such as list(`a\b` = 1) now print correctly.
  * getAnywhere("C_pbinom") now returns correctly a single object
    (rather than unlisting it).
  * The confint() method for nls() fits failed it these has specified
    parameter limits despite using an algorithm other than "port".
    (PR#15960)
  * Subclassing an S4 class failed if the class required arguments to
    the generator, through its initialize() method.
  * removeSource() did not properly handle expressions containing
    arguments that were supplied as missing, e.g.  x[i,]. (PR#15957)
  * as.environment(list()) now works, and as.list() of such an
    environment is now the same as list().
  * Several tcltk functions failed when run in unusual environments.
    (PR#15970)
  * options(list()) now works (trivially). (PR#15979)
  * merge(<dendrogram>, ..) now works correctly for two `independent'
    dendrograms (PR#15648), and still compatibly via adjust = "auto"
    e.g. for two branches of an existing dendrogram.
  * The plot method for "hclust" objects gets an optional argument
    check; When that is true (the default) it checks more carefully
    for valid input.
  * (Windows only) If a user chose to install 64 bit R but not 32 bit
    R, the bin/R and bin/Rscript executables failed to run.
    (PR#15981)
  * Various possible buffer overruns have been prevented, and missed
    memory protection added. (PR#15990)
  * Rscript no longer passes --args to R when there are no extra
    ("user") arguments.
  * objects like getClass("refClass")@prototype now print() and str()
    without error.
  * identical() now also looks at the S4 bit.
  * hist(x, breaks) is more robust in adding a small fuzz to few
    breaks when some are very large. (PR#15988)
  * sub() and gsub() did not handle regular expressions like "\s{2,}"
    properly if the text contained NA or non-ascii elements in a
    UTF-8 locale.  Part of this was due to a bug in the TRE library.
    (PR#16009)
  * RShowDoc("NEWS") now displays the PDF version.
  * Matrices and arrays with last dimension zero did not print at all
    or incompletely.  (PR#16012)
  * plot.histogram() and hence hist() now respect the xaxs, yaxs and
    lab graphics parameters.  (PR#16021)
  * bw.SJ(x) and other bw.*() no longer segfault when x contains
    non-finite values. (PR#16024)
  * R CMD Rd2pdf unintentionally ignored its --os option.
  * The internal method of download.file() was not reporting file
    sizes and progress correctly on files larger than 2GB (inherited
    from libxml2).  This is corrected for 64-bit builds (32-bit
    platforms may not support such files, but where possible will be
    supported in future versions of R).
  * Work around a bug in OS X Yosemite where key environment
    variables may be duplicated causing issues in subprocesses. The
    duplicates are now removed on R startup (via Rprofile).
    (PR#16042)
  * Adjust X11 auto-launch detection in DISPLAY on OS X to recognize
    latest XQuartz.
* Thu Jul 10 2014 detlef.steuer@gmx.de
- Added Provides: R-parallel
- Upstream release 3.1.1
- Most impotant
  CHANGES IN R 3.1.1:
  CHANGES IN R 3.1.1:
  NEW FEATURES:
  * When attach() reports conflicts, it does so compatibly with
    library() by using message().
  * R CMD Sweave no longer cleans any files by default, compatibly
    with versions of R prior to 3.1.0.  There are new options
  - -clean, --clean=default and --clean=keepOuts.
  * tools::buildVignette() and tools::buildVignettes() with clean =
    FALSE no longer remove any created files.  buildvignette() gains
    a keep argument for more cleaning customization.
  * The Bioconductor 'version' used by setRepositories() can now be
    set by environment variable R_BIOC_VERSION at runtime, not just
    when R is installed.  (It has been stated that Bioconductor will
    switch from 'version' 2.14 to 'version' 3.0 during the lifetime
    of the R 3.1 series.)
  * Error messages from bugs in embedded Sexpr code in Sweave
    documents now report the source location.
  * type.convert(), read.table() and similar read.*() functions get a
    new numerals argument, specifying how numeric input is converted
    when its conversion to double precision loses accuracy.  The
    default value, "allow.loss" allows accuracy loss, as in R
    versions before 3.1.0.
  * For some compilers, integer addition could overflow without a
    warning.  R's internal code for both integer addition and
    subtraction is more robust now.  (PR#15774)
  * The function determining the default number of knots for
    smooth.spline() is now exported, as .nknots.smspl().
  * dbeta(, a,b), pbeta(), qbeta() and rbeta() are now defined also
    for a = 0, b = 0, or infinite a and b (where they typically
    returned NaN before).
  * Many package authors report that the RStudio graphics device does
    not work correctly with their package's use of dev.new().  The
    new option dev.new(noRStudioGD = TRUE) replaces the RStudio
    override by the default device as selected by R itself, still
    respecting environment variables R_INTERACTIVE_DEVICE and
    R_DEFAULT_DEVICE.
  * readRDS() now returns visibly.
  * Modifying internal logical scalar constants now results in an
    error instead of a warning.
  * install.packages(repos = NULL) now accepts http:// or ftp:// URLs
    of package archives as well as file paths, and will download as
    required.  In most cases repos = NULL can be deduced from the
    extension of the URL.
  * The warning when using partial matching with the $ operator on
    data frames is now only given when
    options("warnPartialMatchDollar") is TRUE.
  * Package help requests like package?foo now try the package foo
    whether loaded or not.
  * General help requests now default to trying all loaded packages,
    not just those on the search path.
  * Added a new function promptImport(), to generate a help page for
    a function that was imported from another package (and presumably
    re-exported, or help would not be needed).
  INSTALLATION and INCLUDED SOFTWARE:
  * configure option --with-internal-tzcode can now be used with
    variable rsharedir.
  * The included version of PCRE has been updated to 8.35.
  * There is a new target make uninstall-libR to remove an installed
    shared/static libR.
    make install-libR now works if a sub-architecture is used,
    although the user will need to specify libdir differently for
    different sub-architectures.
  * There is more extensive advice on which LaTeX packages are
    required to install R or to make package manuals (as done by R
    CMD check) in the 'Writing R Extensions' manual.
  * Compilers/linkers were handling the visibility controls in
    src/extra/xz inconsistently (and apparently in some cases
    incorrectly), so it has been simplified.  (PR#15327)
  * (Windows) There is updated support for the use of ICU for
    collation: see the 'R Installation and Administration Manual'.
  BUG FIXES:
  * dbinom(x, n), pbinom(), dpois(), etc, are slightly less
    restrictive in checking if n is integer-valued.  (Wish of
    PR#15734.)
  * pchisq(x, df, ncp, log.p = TRUE) is more accurate and no longer
    underflows for small x and ncp < 80, e.g, for pchisq(1e-5, df =
    100, ncp = 1, log = TRUE).  (Based on PR#15635 and a suggestion
    by Roby Joehanes.)
  * The s ("step into") command in the debugger would cause R to step
    into expressions evaluated there, not just into functions being
    debugged.  (PR#15770)
  * The C code used by strptime() rejected time-zone offsets of more
    than +1200 (+1245, +1300 and +1400 can occur).  (PR#15768)
  * (Windows only.)  png(type = "cairo", antialias = "gray") was not
    accepted.  (PR#15760)
  * Use of save(..., envir=) with named objects could fail.
    (PR#15758)
  * Sweave() mis-parsed Sexpr expressions that contained backslashes.
    (PR#15779)
  * The return value from options(foo = NULL) was not the previous
    value of the option.  (PR#15781)
  * enc2utf8() and enc2native() did not always mark the encoding of
    the return values when it was known.
  * dnbinom(x, size = <large>, mu, log = TRUE) no longer underflows
    to -Inf for large mu, thanks to a suggestion from Alessandro
    Mammana (MPI MolGen, Berlin).
  * pbeta(x, a, b, log = TRUE) no longer behaves discontinuously (in
    a small x-region) because of denormalized numbers.  Also,
    pbeta(1-1e-12, 1e30, 1.001, log=TRUE) now terminates "in real
    time".
  * The "CRAN" filter (see available.packages()) no longer removes
    duplicates other than of packages on CRAN, and does not fail if
    there is no CRAN repository in getOption("repos").
  * The device listing from dev2bitmap() and bitmap() was truncated
    to 1000 characters: modern versions of GhostScript on most
    platforms have many more devices.
  * (Windows.)  Commands such as Sys.which() and pipe() which needed
    to find the full path to a command could segfault if the 'long'
    path name was much longer than the 'short' path name (which
    Sys.which() returns), as the behaviour of the Windows API call
    had changed.
  * R CMD build will fail with an error if one of the packages
    specified in the VignetteBuilder field is not installed.
    (Without loading those packages it cannot be ascertained which
    files are intended to be vignettes. This means that the
    VignetteBuilder packages have to be installed for package
    checking too.)  (Wish of PR#15775.)
  * Misguided attempts to use chull() with non-finite points now give
    an error (related to PR#15777).
  * For a formula with exactly 32 variables the 32nd variable was
    aliased to the intercept in some C-level computations of terms,
    so that for example attempting to remove it would remove the
    intercept instead (and leave a corrupt internal structure).
    (PR#15735)
  * anyDuplicated() silently returned wrong values when the first
    duplicate was at an index which was too large to be stored in an
    integer vector (although a lot of RAM and patience would have
    been needed to encounter this).
  * tools::Rd2ex(commentDontrun = FALSE) failed if the block had only
    one line.
  * Hexadecimal constants such as 0x110p-5L which were incorrectly
    qualified by L were parsed incorrectly since R 3.0.0, with a
    slightly garbled warning. (PR#15753)
  * system() returned success on some platforms even if the system
    was unable to launch a process. (PR#15796)
  * (Windows Rgui console.)  Unbuffered output was sometimes not
    output immediately if the prompt was not on the last line of the
    console.
  * The built-in help server did not declare the encoding for the
    DESCRIPTION or other text files to be the package encoding, so
    non-ASCII characters could be displayed incorrectly.
  * R is now trying harder to not cleanup child processes that were
    not spawned by mcparallel() on platforms that provide information
    about the source process of the SIGCHLD signal. This allows 3rd
    party libraries to manage the exit status of children that they
    spawn without R interfering.
  * mcmapply() was only parallelizing if the number of jobs was
    bigger than the number of cores. It now parallelizes if the
    number of jobs is more than one.
  * Auto-printing would re-evaluate its argument when trying to
    dispatch to a print method.  This is now avoided when possible.
  * Unserializing (including load() and readRDS()) could silently
    return incorrect numeric values from ASCII saves if there was a
    read error.
  * getParseData() could return incorrect values for the parents of
    some elements. (Reported by Andrew Redd.)
  * Attempting to use data frames of 2^31 or more rows with merge()
    or to create a merged data frame of that size now gives a clearer
    error message.
  * parse() did not check its file argument was a connection if it
    was not a character string, so e.g. parse(FALSE) attempted to
    read from stdin.
    Nor did dump() and dput().
  * The "help.try.all.packages" option was ignored when the shortcut
    syntax for help was used, e.g. ?foo.
  * A potential segfault in string allocation has been fixed.  (Found
    by Radford Neal.)
  * Potential memory protection errors in sort() and D() have been
    fixed. (Found by Radford Neal.)
  * Fixed a lack of error checking in graphics event functions.
    (Found by Radford Neal; a different patch used here than the one
    in pqR.)
  * numericDeriv() sometimes miscalculated the gradient.  (PR#15849,
    reported originally by Radford Neal)
* Fri Jun 20 2014 darin@darins.net
- added parallel provides
* Fri May  9 2014 detlef.steuer@gmx.de
- Removed / commented out symlink to %%{_bindir}/r
  new package 'littler' should be used instead for packages
  that need /usr/bin/r
* Thu May  1 2014 darin@darins.net
-  Add make dependency for Rcmd
* Tue Apr 29 2014 darin@darins.net
- Created symlink to %%{_bindir}/r
  Many CRAN packages ship with scripts which call %%{_bindir}/r,
  which creates a dependency on it, this fixes that.
* Thu Apr 10 2014 detlef.steuer@gmx.de
- Upstream release 3.1.0
- Most impotant
  CHANGES IN R 3.1.0:
  NEW FEATURES:
  * type.convert() (and hence by default read.table()) returns a
    character vector or factor when representing a numeric input as a
    double would lose accuracy.  Similarly for complex inputs.
    If a file contains numeric data with unrepresentable numbers of
    decimal places that are intended to be read as numeric, specify
    colClasses in read.table() to be "numeric".
  * tools::Rdiff(useDiff = FALSE) is closer to the POSIX definition
    of diff -b (as distinct from the description in the man pages of
    most systems).
  * New function anyNA(), a version of any(is.na(.)) which is fast
    for atomic vectors, based on a proposal by Tim Hesterberg. (Wish
    of PR#15239.)
  * arrayInd(*, useNames = TRUE) and, analogously, which(*, arr.ind =
    TRUE) now make use of names(.dimnames) when available.
  * is.unsorted() now also works for raw vectors.
  * The "table" method for as.data.frame() (also useful as
    as.data.frame.table()) now passes sep and base arguments to
    provideDimnames().
  * uniroot() gets new optional arguments, notably extendInt,
    allowing to auto-extend the search interval when needed.  The
    return value has an extra component, init.it.
  * switch(f, ...) now warns when f is a factor, as this typically
    happens accidentally where the useR meant to pass a character
    string, but f is treated as integer (as always documented).
  * The parser has been modified to use less memory.
  * The way the unary operators (+ - !) handle attributes is now more
    consistent.  If there is no coercion, all attributes (including
    class) are copied from the input to the result: otherwise only
    names, dims and dimnames are.
  * colorRamp() and colorRampPalette() now allow non-opaque colours
    and a ramp in opacity via the new argument alpha = TRUE.
    (Suggested by Alberto Krone-Martins, but optionally as there are
    existing uses which expect only RGB values.)
  * grid.show.layout() and grid.show.viewport() get an optional vp.ex
    argument.
  * There is a new function find_gs_cmd() in the tools package to
    locate a GhostScript executable.  (This is an enhanced version of
    a previously internal function there.)
  * object.size() gains a format() method.
  * There is a new family, "ArialMT", for the pdf() and postscript()
    devices.  This will only be rendered correctly on viewers which
    have access to Monotype TrueType fonts (which are sometimes
    requested by journals).
  * The text and PDF news files, including NEWS and NEWS.2, have been
    moved to the doc directory.
  * combn(x, simplify = TRUE) now gives a factor result for factor
    input x (previously user error).  (Related to PR#15442.)
  * Added utils::fileSnapshot() and utils::changedFiles() functions
    to allow snapshots and comparison of directories of files.
  * make.names(names, unique=TRUE) now tries to preserve existing
    names. (Suggestion of PR#15452.)
  * New functions cospi(x), sinpi(x), and tanpi(x), for more accurate
    computation of cos(pi*x), etc, both in R and the C API.  Using
    these gains accuracy in some cases, e.g., inside lgamma() or
    besselI().  (Suggested by Morten Welinder in PR#15529.)
  * print.table(x, zero.print = ".") now also has an effect when x is
    not integer-valued.
  * There is more support to explore the system's idea of time-zone
    names.  Sys.timezone() tries to give the current system setting
    by name (and succeeds at least on Linux, OS X, Solaris and
    Windows), and OlsonNames() lists the names in the system's Olson
    database. Sys.timezone(location = FALSE) gives the previous
    behaviour.
  * Platforms with a 64-bit time_t type are allowed to handle
    conversions between the "POSIXct" and "POSIXlt" classes for
    date-times outside the 32-bit range (before 1902 or after 2037):
    the existing workarounds are used on other platforms.  (Note that
    time-zone information for post-2037 is speculative at best, and
    the OS services are tested for known errors and so not used on OS
    X.)
    Currently time_t is usually long and hence 64-bit on Unix-alike
    64-bit platforms: however it several cases the time-zone database
    is 32-bit.  On R for Windows it is 64-bit (for both architectures
    as from this version).
  * The "save.defaults" option can include a value for
    compression_level.  (Wish of PR#15579.)
  * colSums() and friends now have support for arrays and data-frame
    columns with 2^31 or more elements.
  * as.factor() is faster when f is an unclassed integer vector (for
    example, when called from tapply()).
  * fft() now works with longer inputs, from the 12 million
    previously supported up to 2 billion.  (PR#15593)
  * Complex svd() now uses LAPACK subroutine ZGESDD, the complex
    analogue of the routine used for the real case.
  * Sweave now outputs .tex files in UTF-8 if the input encoding is
    declared to be UTF-8, regardless of the local encoding.  The
    UTF-8 encoding may now be declared using a LaTeX comment
    containing the string %%\SweaveUTF8 on a line by itself.
  * file.copy() gains a copy.date argument.
  * Printing of date-times will make use of the time-zone
    abbreviation in use at the time, if known.  For example, for
    Paris pre-1940 this could be LMT, PMT, WET or WEST.  To enable
    this, the "POSIXlt" class has an optional component "zone"
    recording the abbreviation for each element.
    For platforms which support it, there is also a component
    "gmtoff" recording the offset from GMT where known.
  * (On Windows, by default on OS X and optionally elsewhere.)  The
    system C function strftime has been replaced by a more
    comprehensive version with closer conformance to the POSIX 2008
    standard.
  * dnorm(x, log = FALSE) is more accurate (but somewhat slower) for
    |x| > 5; as suggested in PR#15620.
  * Some versions of the tiff() device have further compression
    options.
  * read.table(), readLines() and scan() have a new argument to
    influence the treatment of embedded nuls.
  * Avoid duplicating the right hand side values in complex
    assignments when possible.  This reduces copying of replacement
    values in expressions such as Z$a <- a0 and ans[[i]] <- tmp: some
    package code has relied on there being copies.
    Also, a number of other changes to reduce copying of objects; all
    contributed by or based on suggestions by Michael Lawrence.
  * The fast argument of KalmanLike(), KalmanRun() and
    KalmanForecast() has been replaced by update, which instead of
    updating mod in place, optionally returns the updated model in an
    attribute "mod" of the return value.
  * arima() and makeARIMA() get a new optional argument SSinit,
    allowing the choice of a different *s*tate *s*pace initialization
    which has been observed to be more reliable close to
    non-stationarity: see PR#14682.
  * warning() has a new argument noBreaks., to simplify
    post-processing of output with options(warn = 1).
  * pushBack() gains an argument encoding, to support reading of
    UTF-8 characters using scan(), read.table() and related functions
    in a non-UTF-8 locale.
  * all.equal.list() gets a new argument use.names which by default
    labels differing components by names (if they match) rather than
    by integer index.  Saved R output in packages may need to be
    updated.
  * The methods for all.equal() and attr.all.equal() now have
    argument check.attributes after ... so it cannot be partially nor
    positionally matched (as it has been, unintentionally).
    A side effect is that some previously undetected errors of
    passing empty arguments (no object between commas) to all.equal()
    are detected and reported.
    There are explicit checks that check.attributes is logical,
    tolerance is numeric and scale is NULL or numeric.  This catches
    some unintended positional matching.
    The message for all.equal.numeric() reports a "scaled difference"
    only for scale != 1.
  * all.equal() now has a "POSIXt" method replacing the "POSIXct"
    method.
  * The "Date" and "POSIXt" methods of seq() allows by = "quarter"
    for completeness (by = "3 months" always worked).
  * file.path() removes any trailing separator on Windows, where they
    are invalid (although sometimes accepted).  This is intended to
    enhance the portability of code written by those using POSIX file
    systems (where a trailing / can be used to confine path matching
    to directories).
  * New function agrepl() which like grepl() returns a logical
    vector.
  * fifo() is now supported on Windows. (PR#15600)
  * sort.list(method = "radix") now allows negative integers (wish of
    PR#15644).
  * Some functionality of print.ts() is now available in
    .preformat.ts() for more modularity.
  * mcparallel() gains an option detach = TRUE which allows execution
    of code independently of the current session.  It is based on a
    new estranged = TRUE argument to mcfork() which forks child
    processes such that they become independent of the parent
    process.
  * The pdf() device omits circles and text at extremely small sizes,
    since some viewers were failing on such files.
  * The rightmost break for the "months", "quarters" and "years"
    cases of hist.POSIXlt() has been increased by a day.  (Inter
    alia, fixes PR#15717.)
  * The handling of DF[i,] <- a where i is of length 0 is improved.
    (Inter alia, fixes PR#15718.)
  * hclust() gains a new method "ward.D2" which implements Ward's
    method correctly.  The previous "ward" method is "ward.D" now,
    with the old name still working.  Thanks to research and
    proposals by Pierre Legendre.
  * The sunspot.month dataset has been amended and updated from the
    official source, whereas the sunspots and sunspot.year datasets
    will remain immutable. The documentation and source links have
    been updated correspondingly.
  * The summary() method for "lm" fits warns if the fit is
    essentially perfect, as most of the summary may be computed
    inaccurately (and with platform-dependent values).
    Programmers who use summary() in order to extract just a
    component which will be reliable (e.g. $cov.unscaled) should wrap
    their calls in suppressWarnings().
  INSTALLATION and INCLUDED SOFTWARE:
  * The included version of LAPACK has been updated to 3.5.0.
  * There is some support for parallel testing of an installation, by
    setting TEST_MC_CORES to an integer greater than one to indicate
    the maximum number of cores to be used in parallel. (It is worth
    specifying at least 8 cores if available.)  Most of these require
    a make program (such as GNU make and dmake) which supports the
    $MAKE -j nproc syntax.
    Except on Windows: the tests of standard package examples in make
    check are done in parallel.  This also applies to running
    tools::testInstalledPackages().
    The more time-consuming regression tests are done in parallel.
    The package checks in make check-devel and make check-recommended
    are done in parallel.
  * More of make check will work if recommended packages are not
    installed: but recommended packages remain needed for thorough
    checking of an R build.
  * The version of tzcode included in src/extra/tzone has been
    updated.  (Formerly used only on Windows.)
  * The included (64-bit) time-zone conversion code and Olson
    time-zone database can be used instead of the system version: use
    configure option --with-internal-tzcode.  This is the default on
    Windows and OS X.  (Note that this does not currently work if a
    non-default rsharedir configure variable is used.)
    (It might be necessary to set environment variable TZ on OSes
    where this is not already set, although the system timezone is
    deduced correctly on at least Linux, OS X and Windows.)
    This option also switches to the version of strftime included in
    directory src/extra/tzone.
  * configure now tests for a C++11-compliant compiler by testing
    some basic features.  This by default tries flags for the
    compiler specified by CXX, but an alternative compiler, options
    and standard can be specified by variables CXX1X, CXX1XFLAGS and
    CXX1XSTD (e.g. -std=gnu++11).
  * R can now optionally be compiled to use reference counting
    instead of the NAMED mechanism by defining SWITCH_TO_REFCNT in
    Rinternals.h. This may become the default in the future.
  * There is a new option --use-system-tre to use a suitable system
    tre library: at present this means a version from their git
    repository, after corrections.  (Wish of PR#15660.)
* Thu Mar  6 2014 detlef.steuer@gmx.de
- Upstream release 3.0.3
- Most important
  CHANGES IN R 3.0.3:
  NEW FEATURES:
  * On Windows there is support for making .texi manuals using
    texinfo 5.0 or later: the setting is in file
    src/gnuwin32/MkRules.dist.
    A packaging of the Perl script and modules for texinfo 5.2 has
    been made available at <URL:
    http://www.stats.ox.ac.uk/pub/Rtools/>.
  * write.table() now handles matrices of 2^31 or more elements, for
    those with large amounts of patience and disc space.
  * There is a new function, La_version(), to report the version of
    LAPACK in use.
  * The HTML version of 'An Introduction to R' now has links to PNG
    versions of the figures.
  * There is some support to produce manuals in ebook formats. (See
    doc/manual/Makefile.  Suggested by Mauro Cavalcanti.)
  * On a Unix-alike Sys.timezone() returns NA if the environment
    variable TZ is unset, to distinguish it from an empty string
    which on some OSes means the UTC time zone.
  * The backtick may now be escaped in strings, to allow names
    containing them to be constructed, e.g. `\``.  (PR#15621)
  * read.table(), readLines() and scan() now warn when an embedded
    nul is found in the input.  (Related to PR#15625 which was
    puzzled by the behaviour in this unsupported case.)
  * (Windows only.)  file.symlink() works around the undocumented
    restriction of the Windows system call to backslashes.  (Wish of
    PR#15631.)
  * KalmanForecast(fast = FALSE) is now the default, and the help
    contains an example of how fast = TRUE can be used in this
    version.  (The usage will change in 3.1.0.)
  * strptime() now checks the locale only when locale-specific
    formats are used and caches the locale in use: this can halve the
    time taken on OSes with slow system functions (e.g. OS X).
  * strptime() and the format() methods for classes "POSIXct",
    "POSIXlt" and "Date" recognize strings with marked encodings:
    this allows, for example, UTF-8 French month names to be read on
    (French) Windows.
  * iconv(to = "utf8") is now accepted on all platforms (some
    implementations did already, but GNU libiconv did not: however
    converted strings were not marked as being in UTF-8).  The
    official name, "UTF-8" is still preferred.
  * available.packages() is better protected against corrupt metadata
    files.  (A recurring problem with Debian package shogun-r:
    PR#14713.)
  * Finalizers are marked to be run at garbage collection, but run
    only at a somewhat safer later time (when interrupts are
    checked).  This circumvents some problems with finalizers running
    arbitrary code during garbage collection (the known instances
    being running options() and (C-level) path.expand()
    re-entrantly).
* Fri Sep 27 2013 detlef.steuer@gmx.de
- Removed outdated source file
* Wed Sep 25 2013 detlef.steuer@gmx.de
- Upstream release 3.0.2
- Most important
  CHANGES IN R 3.0.2:
  NEW FEATURES:
  * The NEWS files have been re-organized.
    This file contains news for R >= 3.0.0: news for the 0.x.y, 1.x.y
    and 2.x.y releases is in files NEWS.0, NEWS.1 and NEWS.2.  The
    latter files are now installed when R is installed.  An HTML
    version of news from 2.10.0 to 2.15.3 is available as
    doc/html/NEWS.2.html.
  * sum() for integer arguments now uses an integer accumulator of at
    least 64 bits and so will be more accurate in the very rare case
    that a cumulative sum exceeds 2^53 (necessarily summing more than
    4 million elements).
  * The example() and tools::Rd2ex() functions now have parameters to
    allow them to ignore \dontrun markup in examples.  (Suggested by
    Peter Solymos.)
  * str(x) is considerably faster for very large lists, or factors
    with 100,000 levels, the latter as in PR#15337.
  * col2rgb() now converts factors to character strings not integer
    codes (suggested by Bryan Hanson).
  * tail(warnings()) now works, via the new `[` method.
  * There is now support for the LaTeX style file zi4.sty which has
    in some distributions replaced inconsolata.sty.
  * unlist(x) now typically returns all non-list xs unchanged, not
    just the "vector" ones.  Consequently, format(lst) now also works
    when the list lst has non-vector elements.
  * The tools::getVignetteInfo() function has been added to give
    information about installed vignettes.
  * New assertCondition(), etc. utilities in tools, useful for
    testing.
  * Profiling now records non-inlined calls from byte-compiled code
    to BUILTIN functions.
  * Various functions in stats and elsewhere that use non-standard
    evaluation are now more careful to follow the namespace scoping
    rules.  E.g. stats::lm() can now find stats::model.frame() even
    if stats is not on the search path or if some package defines a
    function of that name.
  * If an invalid/corrupt .Random.seed object is encountered in the
    workspace it is ignored with a warning rather than giving an
    error.  (This allows R itself to rely on a working RNG, e.g. to
    choose a random port.)
  * seq() and seq.int() give more explicit error messages if called
    with invalid (e.g. NaN) inputs.
  * When parse() finds a syntax error, it now makes partial parse
    information available up to the location of the error.  (Request
    of Reijo Sund.)
  * Methods invoked by NextMethod() had a different dynamic parent to
    the generic. This was causing trouble where S3 methods invoked
    via lazy evaluation could lose track of their generic.
    (PR#15267)
  * Code for the negative binomial distribution now treats the case
    size == 0 as a one-point distribution at zero.
  * abbreviate() handles without warning non-ASCII input strings
    which require no abbreviation.
  * read.dcf() no longer has a limit of 8191 bytes per line. (Wish of
    PR#15250.)
  * formatC(x) no longer copies the class of x to the result, to
    avoid misuse creating invalid objects as in PR#15303.  A warning
    is given if a class is discarded.
  * Dataset npk has been copied from MASS to allow more tests to be
    run without recommended packages being installed.
  * The initialization of the regression coefficients for
    non-degenerate differenced models in arima() has been changed and
    in some examples avoids a local maximum.  (PR#15396)
  * termplot() now has an argument transform.x to control the display
    of individual terms in the plot.  (PR#15329)
  * format() now supports digits = 0, to display nsmall decimal
    places.
  * There is a new read-only par() parameter called "page", which
    returns a logical value indicating whether the next plot.new()
    call will start a new page.
  * Processing Sweave and Rd documents to PDF now renders backticks
    and single quotes better in several instances, including in \code
    and \samp expressions.
  * utils::modifyList() gets a new argument keep.null allowing NULL
    components in the replacement to be retained, instead of causing
    corresponding components to be deleted.
  * tools::pkgVignettes() gains argument check; if set to TRUE, it
    will warn when it appears a vignette requests a non-existent
    vignette engine.
* Mon Aug 26 2013 schwab@suse.de
- tre.patch: Fix tre library for aarch64 where wchar_t is unsigned int
* Thu May 16 2013 detlef.steuer@gmx.de
- Improved spec file: R-base-devel requires R-base
* Thu May 16 2013 detlef.steuer@gmx.de
- Upstream release 3.0.1
- Most important
  CHANGES IN R 3.0.1:
  NEW FEATURES:
    o chooseCRANmirror() and chooseBioCmirror() gain an ind argument
    (like setRepositories()).
    o mcparallel has a new argument mc.interactive which can modify the
    interactive flag in the child process. The new default is FALSE
    which makes child processes non-interactive by default (this
    prevents lock-ups due to children waiting for interactive input).
    o scan() now warns when end-of-file occurs within a quoted string.
    o count.fields() is now consistent with scan() in its handling of
    newlines in quoted strings.  Instead of triggering an error, this
    results in the current line receiving NA as the field count, with
    the next line getting the total count of the two lines.
    o The default method of image() will plot axes of the class of xlim
    and ylim (and hence of x and y if there is a suitable range()
    method).  Based on a suggestion of Michael Sumner.
    o load() now has a verbose argument for debugging support, to print
    the names of objects just before loading them.
    o When loading a serialized object encounters a reference to a
    namespace which cannot be loaded, this is replaced by a reference
    to the global environment, with a warning.
    o pairs() gains a line.main option for title placement.
    o The remaining instances in which serialization to a raw vector
    was limited to 2GB have been unlimited on a 64-bit platform, and
    in most cases serialization to a vector of more than 1GB will be
    substantially faster.
- Improved spec file. Lots of commented out lines finally removed
* Wed Apr 10 2013 detlef.steuer@gmx.de
- R-base.spec improved: now uses R-%%{version}.tar.bz2 explicitly.
  Mistake when version bumping to 3.0.0 corrected
* Wed Apr  3 2013 detlef.steuer@gmx.de
- Upstream release 3.0.0
- News for package: some new translation files
- News upstream: /usr/lib/R/doc/NEWS.html
- Most important
  CHANGES IN R 3.0.0:
  SIGNIFICANT USER-VISIBLE CHANGES:
    o Packages need to be (re-)installed under this version (3.0.0) of
    R.
    o There is a subtle change in behaviour for numeric index values
    2^31 and larger.  These never used to be legitimate and so were
    treated as NA, sometimes with a warning.  They are now legal for
    long vectors so there is no longer a warning, and x[2^31] <- y
    will now extend the vector on a 64-bit platform and give an error
    on a 32-bit one.
    o It is now possible for 64-bit builds to allocate amounts of
    memory limited only by the OS.  It may be wise to use OS
    facilities (e.g. ulimit in a bash shell, limit in csh), to set
    limits on overall memory consumption of an R process,
    particularly in a multi-user environment.  A number of packages
    need a limit of at least 4GB of virtual memory to load.
    64-bit Windows builds of R are by default limited in memory usage
    to the amount of RAM installed: this limit can be changed by
    command-line option --max-mem-size or setting environment
    variable R_MAX_MEM_SIZE.
    o Negative numbers for colours are consistently an error:
    previously they were sometimes taken as transparent, sometimes
    mapped into the current palette and sometimes an error.
* Mon Mar 18 2013 schwab@suse.de
- Override LIBnn from %%{_lib}
* Fri Mar  1 2013 detlef.steuer@gmx.de
- There were a few new files in foreign and rpart.
  Fixed now. Builds fine.
* Fri Mar  1 2013 detlef.steuer@gmx.de
- Upstream release 2.15.3
- see, as usual, /usr/lib/R/doc/NEWS.html
- This is mostly a bugfix release and the final release for the
  R-2.x.y series.
- Most important additions:
  NEW FEATURES:
    o lgamma(x) for very small x (in the denormalized range) is no
    longer Inf with a warning.
    o image() now sorts an unsorted breaks vector, with a warning.
    o The internal methods for tar() and untar() do a slightly more
    general job for 'ustar'-style handling of paths of more than 100
    bytes.
    o Packages compiler and parallel have been added to the reference
    index (refman.pdf).
    o untar(tar = "internal") has some support for pax headers as
    produced by e.g. gnutar --posix (which seems prevalent on
    OpenSUSE 12.2) or bsdtar --format pax, including long path and
    link names.
    o sQuote() and dQuote() now handle 0-length inputs.  (Suggestion of
    Ben Bolker.)
    o summaryRprof() returns zero-row data frames rather than throw an
    error if no events are recorded, for consistency.
    o The included version of PCRE has been updated to 8.32.
    o The tcltk namespace can now be re-loaded after unloading.
    The Tcl/Tk event loop is inhibited in a forked child from package
    parallel (as in e.g. mclapply()).
    o parallel::makeCluster() recognizes the value random for the
    environment variable R_PARALLEL_PORT: this chooses a random value
    for the port and reduces the chance of conflicts when multiple
    users start a cluster at the same time.
* Fri Oct 26 2012 detlef.steuer@gmx.de
- Upstream  release 2.15.2
- see, as usual, /usr/lib/R/doc/NEWS.html
- most relevant change for rpm are some added translation files
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Fri Jun 22 2012 detlef.steuer@gmx.de
- Fixed: R-base-2.15.1-48.1.x86_64.rpm: directories not owned by a package:
  - /usr/lib64/R/share/locale/pl
  - /usr/lib64/R/share/locale/pl/LC_MESSAGES
* Fri Jun 22 2012 detlef.steuer@gmx.de
- one more forgotten file in polish translation ...
* Fri Jun 22 2012 detlef.steuer@gmx.de
- spec file update to incorporate new polish translation
* Fri Jun 22 2012 detlef.steuer@gmx.de
- Upstream bugfix only release 2.15.1
- see, as usual, /usr/lib/R/doc/NEWS.html
* Tue Apr 10 2012 gregkh@opensuse.org
- make R-base-devel require R-base as some packages think this
  dependancy is already there (i.e. some KDE packages).
* Fri Mar 30 2012 detlef.steuer@gmx.de
- Upstream updated to 2.15.0
- see, as usual, /usr/lib/R/doc/NEWS.html
* Wed Feb 29 2012 detlef.steuer@gmx.de
- upstream minor version increase to 2.14.2
- see, as usual, /usr/lib/R/doc/NEWS.html for details.
* Fri Feb 17 2012 detlef.steuer@gmx.de
- Minor cleanup for easier automativ building of R-patched.spec
* Wed Feb 15 2012 detlef.steuer@gmx.de
- changed licence string to "GPL-2.0 or GPL-3.0"
* Mon Feb 13 2012 detlef.steuer@gmx.de
- uninstall rule for R.conf more than useless ... reverted.
* Mon Feb 13 2012 detlef.steuer@gmx.de
- Applications like KDE's Cantor search for the R standard library
- using the library search path. However, in openSUSE's package,
- libraries are installed to %%{_libdir}/R/lib, hence attempts to
- load them from these applications will fail.
- This revision adds a R.conf file to ld.so.conf.d to enable
- searching for libraries where R is installed. Once this change
- is in, applications are able to use libR.so.
- Thx to einar@heavensinferno.net for spotting this.
- Thought had done this for release of 2.14.0.
* Thu Dec 22 2011 steuer@unibw-hamburg.de
- Upstream updated to 2.14.1
- see, as usual, /usr/lib/R/doc/NEWS.html for details.
- Only minor bug fixes + workaround for missing inconsolata.sty
- on older systems.
* Mon Oct 31 2011 detlef.steuer@gmx.de
- merged change infor Oct 5th into working copy
* Mon Oct 31 2011 detlef.steuer@gmx.de
- corrected subpackge version number in R-base-devel
* Mon Oct 31 2011 detlef.steuer@gmx.de
- Upstream updated to 2.14.0
- see, as usual, /usr/lib/R/doc/NEWS.html for details.
- On system side most important, that /etc/ld.so.conf.d/R-base.conf
- was added to help third party programs, i.e. rpy2, tp link against
- R-base
* Wed Oct  5 2011 detlef.steuer@gmx.de
- corrected version string for Matrix subpackage
* Tue Oct  4 2011 detlef.steuer@gmx.de
- removed 4 warnings about unescaped macros in comments
* Tue Oct  4 2011 detlef.steuer@gmx.de
- explicitly added some locale directories. Worked before implicitly.
* Tue Oct  4 2011 detlef.steuer@gmx.de
- update to upstream version 2.13.2
- see, as usual, /usr/lib/R/doc/NEWS.html for details.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Jul  8 2011 detlef.steuer@gmx.de
- resolved some conflicts for R-base.spec after osc up -e && osc pull
* Fri Jul  8 2011 detlef.steuer@gmx.de
- corrected version string in R-base.spec
* Fri Jul  8 2011 detlef.steuer@gmx.de
- Upstream updated to 2.13.1. Licence change from GPLv2 to GPLv2 || GPLv3.
  Packages rpart and survival now GPLed, too.
  Various minor bugfixes.
  See /usr/lib/R/doc/NEWS.html for details.
* Thu May 12 2011 detlef.steuer@gmx.de
- Removed possible dangerous links of libraries. R`s internal
  libraries now are only available in $lib/R/lib .
* Fri May  6 2011 detlef.steuer@gmx.de
- Changed Licence string to GPLv2, taken from opensuse`s list aof allowed
  licences, as requested from coolo
* Wed Apr 13 2011 detlef.steuer@gmx.de
- Upstream update to 2.13.0; new package 'compiler'; some new language files
* Fri Mar  4 2011 detlef.steuer@gmx.de
- update to 2.12.2
  minor bugfixes
  see /usr/lib/R/doc/html/NEWS.html for details
* Mon Jan 10 2011 detlef.steuer@gmx.de
- removed -n parameter from %%build/%%install
- removed %%doc from man/info pages in files section
* Fri Dec 17 2010 detlef.steuer@gmx.de
  reverting mandir/infodir directiven, didn't build in some releases-
* Fri Dec 17 2010 detlef.steuer@gmx.de
  sorted out list of problems shown bei mrueckert-
* Mon Nov 29 2010 detlef.steuer@gmx.de
  Version, to be submitted to factory-
